commit fbacebfd80228d69ef1fd31f116b0c07d020a782
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 22:16:09 2025 +0100

    Updates for release

commit b76ec7a40e8fd5382a30609b7893a4b58305fd92
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 21:17:17 2025 +0100

    autotools-build: Get rid of maintainer mode where gdbus-codegen is used
    
    It now (glib 2.83.3) adds GLIB_VERSION_2_84 macro to the generated code,
    so we need to let the user generates these files himself.
    
    Fixes: #904
    (cherry picked from commit 41cb9b2b912a8e689da61a6d483a604db76146b8)

commit 5667bd6fdad21c8a10fdf77d2af09f04ac2a70ef
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 19:33:06 2025 +0100

    Back to development

commit 636755fe6bef7e697e8db2df6c114741ae850e9f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 19:18:59 2025 +0100

    Updates for release

commit 13181303419ed1df435effd2fc9b2dd92659a377
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 18:06:27 2025 +0100

    build: Bump libxfce4windowing required version to 4.20.1
    
    To benefit from patches related to the ext-workspace protocol, and in
    particular to avoid crashing at startup on compitors that support this
    protocol.

commit 244d24009bed2a521d0932c744892c8da71e80f2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 2 18:05:35 2025 +0100

    Update copyright year

commit d007bc2cf3d74c8b7ce6bc1961f9f8cbc0b4c80d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 31 18:32:29 2025 +0100

    meson-build: Don't add 'lib' prefix in static lib name
    
    It doesn't make much difference in this case, but we might as well not
    do it.

commit 197770fb98f8f58d59c285903dc3a53e2484127b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 31 11:46:22 2025 +0100

    meson-build: Simplify feature opt dep management
    
    This seems to be the correct way to go: don't define a useless boolean
    variable and use dependency('') instead.

commit 25466a4a96bc20a7e6ea05d6d7ccf01f891cf7aa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 28 17:35:30 2025 +0100

    meson-build: Ensure xfce-revision.h was generated when using it

commit 2655f15f246d7f9b862ceb696b9aab623b3b065c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 28 17:01:56 2025 +0100

    build: Use VERSION_FULL intead of VERSION or PACKAGE_VERSION

commit 961e6d4e809efd1a865a86738e30a919c82db459
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 28 17:25:25 2025 +0100

    autotools-build: Fix EXTRA_DIST redefinition

commit 389c0195e40d66738b683cfb7e8d30a60a79235d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 26 18:56:40 2025 +0100

    meson-build: Remove unneeded conditional
    
    It's empty if wayland is disabled.

commit aeadc9c3b2c0a2d4dc69f949f218093e60f3b7aa
Author: Maciej S. Szmigiero <mail@maciej.szmigiero.name>
Date:   Sat Jan 25 10:06:34 2025 +0100

    actions: Restore dialog accept on Enter behavior
    
    Commit 3811371b020a ("actions: Use xfce_message_dialog_new in confirmation dialogs")
    rewrote action dialogs to use libxfce4ui functions instead of the GTK ones,
    however it deleted a call to gtk_dialog_set_default_response (),
    apparently accidentally.
    
    Due to this, now these actions can no longer be accepted by simply pressing
    Enter, which is quite annoying and breaks user's muscle memory.
    
    Restore the old behavior by adding that gtk_dialog_set_default_response ()
    call back to the code.
    
    Fixes: 3811371b020a ("actions: Use xfce_message_dialog_new in confirmation dialogs")

commit 232c24fdbae2b24831ceb7605085748024b4b1c7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 15 19:19:01 2025 +0100

    Add meson build

commit 2d954b60e9a73b77ef9441989d46c84a79dfc561
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jan 14 15:43:24 2025 +0100

    Turn some messages into warnings

commit 7957b503b89e61d91bab8b6818a5302178718634
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jan 11 00:47:37 2025 +0100

    I18n: Update translation ca (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b71e99e32eaea810db4bde5471a5c835cc44b800
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 10 12:47:32 2025 +0100

    I18n: Update translation ca (98%).
    
    490 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9917c27607cfffc428fb26cee288adc9241e1622
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jan 9 12:47:33 2025 +0100

    I18n: Update translation vi (85%).
    
    424 translated messages, 71 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cc313550559f2134028ba61368510cd4d556bb12
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jan 9 00:48:16 2025 +0100

    I18n: Update translation vi (71%).
    
    353 translated messages, 142 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ebe7147347f3fb3532a86a7a86a73651be2cd376
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Jan 6 20:46:24 2025 +0100

    build: Migrate to xdt-gen-visibility and xdt-check-abi

commit a786ec82b66e5dbe32310db2a286983d662d150b
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jan 5 00:47:34 2025 +0100

    I18n: Update translation ru (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f2fee799907e8ec5fb3b03137c85cff1d8c3d0ef
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jan 1 12:47:41 2025 +0100

    I18n: Update translation sk (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ec38157d21344424a83bf113ae83c59596f44204
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jan 1 00:48:05 2025 +0100

    I18n: Update translation sq (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 62f6191ec2b93d9e1707d22556cf362044bb6e64
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 31 22:15:01 2024 +0100

    wayland: windowmenu: Hide irrelevant workspace options

commit e488e77dcb1271ada5cac37be78229e5725d6276
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 31 19:07:52 2024 +0100

    wayland: pager: Hide workspace settings

commit 4ab0d8fbdd9d1ed36751b0f346852bc20ae44bed
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 31 16:45:08 2024 +0100

    docs: Add missing parameter to XfcePanelPlugin::hidden-event
    
    Fixes: 585e2762fbf65419ada277e575142dc2265210dc

commit 1aa4f5aed88d59e3090d26d97e2781dddfe9586f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 31 16:35:14 2024 +0100

    wayland: libxfce4panel: Set kbd interact to on-demand for popup windows
    
    The implementation of the on-demand mode has evolved favorably in both
    wayfire and labwc, so it no longer seems necessary to use exclusive mode
    to ensure keyboard focus. As a result, closing the popup window when the
    focus is lost (by clicking anywhere else) works better.
    
    Fixes: #895

commit 7634a5e378c86309bbfaebd81dbecbe71248b096
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 30 16:26:18 2024 +0100

    tasklist: Add missing workspace property initialization on Wayland
    
    Completes: 3dfceab6e54a1aa8ccde4d14aecd4eab5ae5b5ba
    Related: #891

commit e0df33ee9715ab178b96ae363ef4473fa831456a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 29 21:14:22 2024 +0100

    panel: Deal with duplicated monitor models
    
    As much as possible, while being fully backward-compatible, and without
    modifying the code too much for a case that's not too common.
    
    Fixes: #892

commit 3dfceab6e54a1aa8ccde4d14aecd4eab5ae5b5ba
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 29 15:26:59 2024 +0100

    tasklist: Disable workspace related properties on Wayland
    
    The ext-workspace protocol gives us no way to know which workspace a
    window is on, unfortunately.
    
    Fixes: #891

commit def8b0eb0da05f0a45b8d2572b7421f5705b43e6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Dec 28 16:52:42 2024 +0100

    prefs-dialog: Don't trust xfconf_channel_get_string_list() return value
    
    Fixes: #890
    Related: xfce/xfconf!59

commit 09fc3106b2ec5db3f3d5b730e1bb4b8383699d36
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 23 12:47:38 2024 +0100

    I18n: Update translation vi (67%).
    
    336 translated messages, 159 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ea93831413ba608c4f9a5c163ee002163a3578ff
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 19 18:26:03 2024 +0100

    libxfce4panel: Fix XfcePanelPlugin size
    
    Fixes: 585e2762fbf65419ada277e575142dc2265210dc

commit 585e2762fbf65419ada277e575142dc2265210dc
Author: guiohm <github@guilhaume.fr>
Date:   Thu Dec 19 12:53:21 2024 +0000

    Add an hidden-event signal for plugins
    
    Related: panel-plugins/xfce4-genmon-plugin!20

commit 5802f0522f7af65321fde8e604db7255a2bab64b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 17 12:49:19 2024 +0100

    I18n: Update translation zh_CN (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit af861f30277d586214cdbc069b868c345245cdbf
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 17 00:47:02 2024 +0100

    I18n: Update translation hu (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 11468a1bd401724740ca66a82b54a69b04b0c07f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 17 00:47:01 2024 +0100

    I18n: Update translation da (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 20b078f7a3e4be0cc3e52a9fa66689cf9e5a98e1
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 16 12:47:40 2024 +0100

    I18n: Update translation zh_CN (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5b9bffb4b170dbf062c4417c491cde116398550b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 15 09:17:41 2024 +0100

    Back to development

commit 24db0e814dce98808f82a2439a0bc9d656e37cad
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 15 09:03:21 2024 +0100

    Updates for release

commit e325dab377297d97775dc373dfed004e45ccaa25
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 8 12:47:52 2024 +0100

    I18n: Update translation ro (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e0eccd853cf65047a9a08b671f7ba1d5a3106c87
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 8 00:47:36 2024 +0100

    I18n: Update translation he (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b69436a4f93be4b8cc609496a6f8b93a36b05483
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 3 12:47:15 2024 +0100

    I18n: Update translation fi (92%).
    
    459 translated messages, 36 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 845d26330931f8cb3b0724248de23524a1add29e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 3 00:47:17 2024 +0100

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 59cdd49ecc6d9ecf96c94d2fdd0f4d212fa3e6d4
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 2 12:48:19 2024 +0100

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 789c757c61ef9e4ac91971b2a58e5652802b225f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 1 05:31:22 2024 +0100

    Back to development

commit d722b57f4e0360f3df794714348938833d245185
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Dec 1 05:18:18 2024 +0100

    Updates for release

commit e7b76cdc0c1ef6420e9ecb507806678442a33dea
Author: Anonymous <noreply@xfce.org>
Date:   Thu Nov 28 00:47:16 2024 +0100

    I18n: Update translation pt_BR (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1a269f63de92ddcd60eacc1caaa8457081e51c66
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 20 11:59:20 2024 +0100

    I18n: Update po/LINGUAS list

commit e1421f19f5d66dd1ffd399644e78014eb24775c4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 19 10:04:47 2024 +0100

    I18n: Update po/LINGUAS list

commit 1baa9ca5cff31317911941c02e5376955a636984
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 19 10:04:47 2024 +0100

    I18n: Update translation te (44%).
    
    220 translated messages, 275 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 80df5f741c738b354a41c1452fd91d54cffb5176
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 18 12:47:16 2024 +0100

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d2b4a7a72f9e4308e876ed3f7b18ed333c35cb9a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Nov 17 18:21:03 2024 +0100

    migrate: Update default config
    
    Fixes: #871

commit 0888fcc8be70dfc70c46d6ccca378005ca709146
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 17 12:47:33 2024 +0100

    I18n: Update translation es (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit af2b6e8a2bcde0932c0024266f5473a40576d261
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 16 00:47:54 2024 +0100

    I18n: Update translation tr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a06fc467de4638fdbebc1d811ff58038681c2163
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 9 00:47:37 2024 +0100

    I18n: Update translation eu (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 41e0406d1d949517c88c9c33785723095d5d76e6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 6 08:36:55 2024 +0100

    tasklist: Ensure group buttons have non empty label
    
    Fixes: #869

commit f6b0502b469003f49a5db14dc8dd60cf360465c7
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 4 00:49:09 2024 +0100

    I18n: Update translation cs (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1e2e88571bcd68c79439b2ae68fc67883c86b222
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 3 12:47:51 2024 +0100

    I18n: Update translation kk (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f2680c0f34ee0b80d28501a1ba2b3bdc714307af
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 1 14:54:20 2024 +0100

    Back to development

commit 1922484728fdae273629af7a4b0238c34b5fe375
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 1 14:37:14 2024 +0100

    Updates for release

commit 376f55b10eb4b4b6ec775657322f6bd1ba9a3773
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 31 12:48:20 2024 +0100

    I18n: Update translation gl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c41d4f2c4162b2b4ccdc2a484851baae9c0a8a2b
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 26 12:47:06 2024 +0200

    I18n: Update translation gl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ee3d11704d8cece537b8415823d68111573ab817
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 24 00:47:25 2024 +0200

    I18n: Update translation nb (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ac63d1bf9635a5e1cc2d093426d9a48dbdbd97cd
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 23 00:47:22 2024 +0200

    I18n: Update translation sr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 77cb753fba8607abaa2a6afa6d54b6b6e6bf84be
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 23 00:47:22 2024 +0200

    I18n: Update translation fr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 59094019100bf8a8a4cd4962c3bd1fa3f5e24e8e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Oct 22 12:47:17 2024 +0200

    I18n: Update translation de (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4b9ec3481efa7cc0e58af0088f53ba4c6c950a68
Author: Anonymous <noreply@xfce.org>
Date:   Tue Oct 22 00:47:28 2024 +0200

    I18n: Update translation en_GB (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 810d6b922bca82d4c6f64ae01bc0dc14a1dd4c62
Author: Zetta1  Reid0 <11255-Zetta1_Reid0@users.noreply.gitlab.xfce.org>
Date:   Mon Oct 21 08:19:57 2024 +0000

    systray: Handle general container orientation on Wayland too
    
    Fixes: #865

commit 6700bb1817aa4bf15f59a84b8e9384c9c949b731
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 21 00:47:11 2024 +0200

    I18n: Update translation zh_CN (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b5ea6715d426b83a307981d0cb82f6bac182c3b2
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 21 00:47:11 2024 +0200

    I18n: Update translation oc (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 450b21b3742081fb3bbc434f4358a174b012cf8b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 21 00:47:11 2024 +0200

    I18n: Update translation et (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7782d16edf0385395bb7207e0f9cb4e190f01165
Author: Anonymous <noreply@xfce.org>
Date:   Sun Oct 20 00:47:11 2024 +0200

    I18n: Update translation lt (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 556debd17f71c10e6d749012d0d9c82bd5be1527
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Fri Oct 18 18:28:44 2024 -0400

    systray: Fix GSList element leak

commit d091798afe0c5ec25b49c1a434b8c99af8af3db9
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 12:49:04 2024 +0200

    I18n: Update translation it (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4934c7f3a85fce9dd7f0b128340c09485b7613d8
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 12:49:04 2024 +0200

    I18n: Update translation es (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0ae01b3ef71d2cf6000c559c9fa17992d606ba96
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 00:47:01 2024 +0200

    I18n: Update translation uk (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 63fa447747575cc86db9a4c6b398c7ef4afec4fb
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 00:47:01 2024 +0200

    I18n: Update translation sv (99%).
    
    493 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit eb62927aea97f159d820c60e8f45607c8e5638f9
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 00:47:01 2024 +0200

    I18n: Update translation sq (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 540b63c37d7a00cc792ed16a2d114583891bcf89
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 00:47:01 2024 +0200

    I18n: Update translation pt (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1182339d59e62e1469b409854a3450e4626b2612
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 00:47:01 2024 +0200

    I18n: Update translation nl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d258ad945d5f7114b4f803c1ed307ebea6094305
Author: Bobby Rong <rjl931189261@126.com>
Date:   Fri Oct 18 21:02:32 2024 +0800

    migrate/default.xml.in: Remove unused plugin id
    
    Fixes c1f3d9258131b223.
    
    For some reason I am getting 'Plugin "(null)" could not be loaded, ...' dialog
    on a newly created VM (xfce4-panel 4.19.5). After clicking "Remove" I checked
    `~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml` and looks like
    this is the line that got "removed".

commit 459cacbb37fb76298359510c13b486274cd1e7b3
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:08 2024 +0200

    I18n: Update translation zh_TW (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7bc60399da501b217032b33faf7bf13449300e12
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:08 2024 +0200

    I18n: Update translation zh_HK (84%).
    
    417 translated messages, 78 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5bea84b7d2ce2c3a054b4cf304af640b5d2f4063
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:08 2024 +0200

    I18n: Update translation zh_CN (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7bd2ac12ff14579b9e73cc324a17fa3f6b635248
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:08 2024 +0200

    I18n: Update translation uk (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1614ac4f4da84007677482fb196f1b447f4eab31
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:08 2024 +0200

    I18n: Update translation ug (76%).
    
    381 translated messages, 114 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 12e55f8335f2e30565c7450487b935b4b2bf17d0
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation tr (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 65f452eaa017a4a871d2adfaaf39c498013452f0
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation th (93%).
    
    461 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2f9a16591bf47aaa59d47f9f6d6aea28c73701f4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation sv (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1a68e72457922276ac7961d80114c6fae6b1a5fd
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation sr (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a04315ce679dadf98bc2972a3412d12ec20e702f
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation sq (99%).
    
    493 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b25d6054a18ddeef0226c52df559de6523788503
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation sl (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8ff72a7a767d9ee909c05d2e076fe7f3f7168835
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation sk (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 44b869a7a29ad131f1fa6de95492207952136086
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:07 2024 +0200

    I18n: Update translation si (56%).
    
    279 translated messages, 216 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cdb5eefb5063d4d1ff14a0c8e2c4555854ff88dd
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation ru (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c41605cd561f9800c53b5916dd22c06ec1349247
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation ro (78%).
    
    388 translated messages, 107 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 84941e8308ceda50ba982b57f89621f9fb898380
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation pt_BR (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8e82a468d1226bdd620a1c2939b82bed2d46dc17
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation pt (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7e3e8162cf88553e037c5319548db8286269c576
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ca7a69ec4aeef18fb51953a0447bdf78a78ff0f8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation pa (56%).
    
    279 translated messages, 216 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit af1c6394fbc18ba0204d1013d55b1aa1408e8b49
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation oc (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d9cbec92c8c700d75ae95e7f05c5fe1a1ff5d48f
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation nn (86%).
    
    430 translated messages, 65 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0dc96c0a32d0c3c201043de13cee4c81c1227a61
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:06 2024 +0200

    I18n: Update translation nl (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f6fd56d40551b6199f949fc869aa3134eba4ba84
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:05 2024 +0200

    I18n: Update translation nb (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 73daef906354a01e8ba35d8c24b850e78b996e91
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:05 2024 +0200

    I18n: Update translation ms (93%).
    
    463 translated messages, 32 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 57919f7837de8322fe06741586406b4ed94f58af
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:05 2024 +0200

    I18n: Update translation lt (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e8a91f2d63b2a506b4c8b082206cdda7cae93f06
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:05 2024 +0200

    I18n: Update translation ko (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 98d9aa170c2acdd31910519c3447be356b24d25c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:05 2024 +0200

    I18n: Update translation kk (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 05ee4d1765fd5a389e6bed8f82ebd9a3fd8dc4a8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:05 2024 +0200

    I18n: Update translation ja (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1d3b0b05e689234b3bceefe15bfe0f8e5c834969
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:05 2024 +0200

    I18n: Update translation it (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a4d069ec8f9b3b0be88bc66113e4cc5f3a07c946
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation is (88%).
    
    438 translated messages, 57 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f36b4a9754238d01a068b6137141c064ff86b833
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation ie (92%).
    
    460 translated messages, 35 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e6cebeab6d4718ffd44c6f98f27228b34414e4e5
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation id (99%).
    
    491 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fa229f39b2527033603cf5dca0b115c85a375b63
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation hye (84%).
    
    416 translated messages, 79 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c4d60bd301174ddff359b2af2a903fb141d9136d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation hy_AM (87%).
    
    433 translated messages, 62 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 93997854cc37187a4fbe4b97d0fb02dad463c2f8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation hu (99%).
    
    491 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c008e22aae2cea4705e0d55ead167dcdc1fccb5b
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation hr (90%).
    
    447 translated messages, 48 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 471e328824f2d5bf6369497dbae479a2d99da847
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:04 2024 +0200

    I18n: Update translation he (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3edf5db2c085ba48319a73ecfe5833ef5523dbf4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation gl (93%).
    
    461 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3b70c83b8bc2b2b15f895cbeb7e5f9d42d8256c7
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation fr (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1f0f2d5b64d36e8ffe76efaab4ca7911515e7657
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation fi (91%).
    
    452 translated messages, 43 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2b00b6f899de235aa038251a8251ca4221236a79
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation eu (99%).
    
    491 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f134edf5da6227576d07a90af5ae1462f69aa4e3
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation et (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 43bacb6641efa99ae81fbd201d8e2e2c0952b057
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation es (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d74ddae485a9536c965f1e329d81ef837e03ecc9
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation en_GB (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c82c10475a61bdd076a547e367d8e500a709bf1f
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:03 2024 +0200

    I18n: Update translation en_AU (82%).
    
    407 translated messages, 88 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 02f986f928979889ecfb5a3b6b471386bd990db5
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:02 2024 +0200

    I18n: Update translation el (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c9e0d176d49ac27081495e340367195f300e00da
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:02 2024 +0200

    I18n: Update translation de (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit be00c69e8a6ebe11c465bedae35e96ef7e3210ef
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:02 2024 +0200

    I18n: Update translation da (99%).
    
    493 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0094b57eca31a6910ae034f2d13854275f6ea51b
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:02 2024 +0200

    I18n: Update translation cs (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 367c9eacad10196532d2f8dd9c5cd7db1e9a3ae7
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:02 2024 +0200

    I18n: Update translation ca (98%).
    
    487 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 49a5a3a6a72b458a02e6c086886c389a7daee92c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:01 2024 +0200

    I18n: Update translation bn (59%).
    
    296 translated messages, 199 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b345621368555ecd3d8f25d590c00266b61a1d3d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:01 2024 +0200

    I18n: Update translation bg (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6eb8281a419f9ecfbfae683582482fcce22bbbfe
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:01 2024 +0200

    I18n: Update translation be (93%).
    
    461 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ba355645c53364e07d11d2695b53b64bb366f93b
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:01 2024 +0200

    I18n: Update translation ast (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4916369846ee6d421baa6e934eab604565293c1a
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 18 12:48:01 2024 +0200

    I18n: Update translation ar (83%).
    
    413 translated messages, 82 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 96c520776f272edf89e77c642ba1c0d581a092e2
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Wed Oct 16 18:38:54 2024 +0100

    Added "show inactive" prop to lcd clock (repurposed from binary clock)

commit 8452f247901709207d88242dd8038136c52d1186
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Tue Oct 15 08:21:03 2024 +0100

    Reworked sizing mechanism in clock plugin and its widgets
    
    Original mechanism relied on a "ratio" property of clock widgets
    and the clock plugin setting a fixed size request. This mechanism
    was fragile and resulted in missing size updates. Changed this mechanism
    to width_for_height/height_for_width layout. Removed no longer needed
    ratio property and added a container-orientation one (the widget has to
    be aware of the panel/container orientation for layout purposes).
    
    Also combined the change with size clamping of the LCD and Binary widgets.
    Not ideal but it was strongly coupled with the layout mechanism.
    
    Whitespace and comment cleanup
    
    Removed unused function.
    
    Added back "static" + whitespace fix

commit 36f36e78b1e73c9f2344c9390b0e5fa14301860c
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Tue Oct 15 08:13:59 2024 +0100

    Reduce minimum button size to improve layout at very small panel sizes.
    
    The layout issue was only visible when using a layout mechanism
    built-in into the button. Many plugins worked this around by setting
    a fixed size request on their internal widgets manually.

commit b1f8703288ba2b424ef376b04044df10f5315b24
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Tue Oct 15 08:09:08 2024 +0100

    Use width_for_height when plugin requests it
    
    It appears to fall back to original behaviour (regular
    get_preferred_width/height) when the plugin does not use
    get_request_mode.
    
    It allows plugins to use width_for_height/height_for_width,
    which often results in a simpler code.

commit e72f3ddbd33657eb1e98e1589ec41038046613f2
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Mon Oct 14 01:43:59 2024 +0100

    LCD and digital clock layout fixes
    
    Maked size/layout of the lcd clock time-independent
    
    LCD clock had a feature where the size of the plugin
    could be reduced depending on time of the day.
    As a side-effect, other plugins were shifted when the size
    of the LCD clock changes.
    This commit removes this feature, fixing the clock size.
    
    Made digital clock lines not to spread out in wide panels.

commit bfd612b595245101f60265f6a21b104093d2a8a9
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Tue Oct 15 09:36:42 2024 -0400

    systray: Fix leak in sn_plugin_init

commit 76fe1669151cc688b69366da6506a20fcb0d6a77
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Sun Oct 13 23:49:32 2024 +0100

    Added a missing property bind for 24hr analogue clock

commit 328323324d2488ec067b3170b3dfc5292ebb4c7d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 14 00:47:22 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4e80a9bbe0898130fcc966267992c9394e4d18a2
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Sun Oct 13 14:51:14 2024 +0100

    Added XFCE_PANEL_PLUGIN_ICON_PADDING (API change)
    
    Used it in the libxfce4panel and tasklist widget.
    Clamping icon size to panel size/nrows moved to libxfce4panel.

commit 90ebf84496304dbe60d999436806d069615dd01d
Author: Andrzej Radecki <andrzejr@xfce.org>
Date:   Mon Oct 7 13:16:09 2024 +0100

    tasklist: Keep icon sizes as specified by the user
    
    But clamp them to the button size.
    
    Fixes: #857

commit f2c8bdae565bdedaa3edcac174734b01045a94dc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Oct 13 23:42:34 2024 +0200

    Revert "wayland: tasklist: Fix icon size in multirow mode"
    
    This reverts commit 83fa5ead8f3ea31b81d544e8a82d61d48a6e2518.

commit 29270865a20d35d89e0d28ee92314b2d768a63e1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Oct 13 20:39:28 2024 +0200

    systray: Add missing translation
    
    Fixes: #860

commit 91abe5585d120faedebfbf3c87ed775d604c83b9
Author: Anonymous <noreply@xfce.org>
Date:   Sun Oct 13 12:47:41 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0ec2c56b77a5cac7b907229d2512f8283bc3595f
Author: Andrzej <andrzejr@xfce.org>
Date:   Sun Oct 13 09:38:58 2024 +0000

    clock: Added 24h clock mode to the analog clock

commit a1a0d1fe494a6cb0b0f945a0d329bd30fb8600ca
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 7 03:08:45 2024 -0700

    Back to development

commit 865df90426852b6bb10cea6d608b0ac5dee8bd8e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 7 03:05:10 2024 -0700

    Updates for release

commit 6d87e12b09e8382ef4d680274a9cd21fe04053f2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 7 09:26:01 2024 +0200

    Use new xfw_window_activate() signature in libwindowing 4.19.6

commit 017fe12924ac90ab9f007fbbdc38e6f52ed30bb4
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 5 00:49:24 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2de571cb688edb097985b52ab278bccbfd0c334f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Oct 3 16:58:42 2024 +0200

    build: Adjust Wayland requirements for Xfce 4.20

commit 162b02576d1134627d82e23e92cae2dbf2abb151
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 3 00:47:44 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6ff92a5bf526e7856ffd37a6be70d80696b860c2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Oct 2 17:24:22 2024 +0200

    build: Bump requirements for Xfce 4.20

commit 9cbce870e356b958ae32c8787c9629cc10ee7f37
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 2 12:47:38 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 115f1e55180e7f9095b8379f9da731ede8595e19
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 2 00:48:06 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9889d3ca92bb7a7cd18847a638405558a75be48f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Sep 30 00:46:58 2024 +0200

    I18n: Update translation pt_BR (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9efec43573b16996c44d2c108d5fcf73d7c4ee82
Author: Anonymous <noreply@xfce.org>
Date:   Sun Sep 29 00:47:00 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 308fd275882b276c1b3fec971966c8ce8b837094
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Sep 12 21:17:15 2024 +0200

    wayland: tasklist: Fix monitor detection when panel is remapped
    
    gdk_display_get_monitor_at_window() is unreliable on wayland, because
    when the panel is remapped it usually first appears on one monitor
    before being moved to another, and there is no signal or event to
    indicate when this process has finished. So it's best to use
    gtk_layer_get_monitor() whenever possible, as we always use
    gtk_layer_set_monitor() upstream.

commit aa87e00b1b55388ac8155ca6a60663eb6a31cb41
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Sep 12 20:50:45 2024 +0200

    x11: tasklist: Properly check for libxext

commit 6353a149251cf2d5e3333b98ebf8b48626af9cd9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Sep 11 23:42:27 2024 +0200

    wayland: autohide: Do not block when panel has input focus
    
    * The panel gains focus as soon as it is shown, or on various other
      occasions.
    * It depends on the compositor.
    * It depends on whether or not there are external plugins (in fact,
      other layer-shell surfaces competing for focus).
    
    For all these reasons and perhaps others, it's not something you can
    rely on to block autohide. In practice, it could at least require the
    user to manually give focus to another window so that the panel hides
    (instead of hiding itself when the pointer leaves it), or even trigger
    focus loss/gain loops where the panel fails to hide itself.

commit 9c4c74a6ec859b7c872365419957b8e903274f25
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Sep 11 23:35:54 2024 +0200

    Revert "panel: Fix panel flickering during autohide on Wayland"
    
    This reverts commit 5551d10e870b7888c5a6359c2c23efb84fed4ce9.
    
    Focus management will be restricted to X11 in next commit since it does
    not really wotk on Wayland, so let's not complicate things with this.

commit ee22684ba748706c39440d897c78e0fcde813fb4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Sep 11 23:25:46 2024 +0200

    wayland: autohide: Show/hide panel instead of moving it offscreen
    
    Second step: we hide the panel window on Wayland when it's about to be
    moved off-screen, either directly or at the end of the animation (the
    same applies to external plugins). This eliminates the need for
    remapping and manual commit, since as long as the window has not
    completely left the screen, it can be brought back without remapping,
    and remapping is not necessary either to trigger a resize. See
    https://github.com/labwc/labwc/issues/499
    
    It might be preferable to manage animation on Wayland via the viewporter
    protocol, as the layer-shell protocol may no longer support negative
    margins when it arrives in the ext namespace. Unfortunately, the current
    implementation of the viewporter protocol in most compositors doesn't
    allow this: see https://github.com/labwc/labwc/issues/2129

commit 1d9e13db5ee2a69ffa239490512d092b28805590
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Sep 6 13:04:09 2024 +0200

    autohide: Show/hide autohide window instead of moving it offscreen
    
    Moving layer-shell surfaces off-screen on Wayland is problematic, as it
    requires remapping, which causes unwanted blinking and pointer events,
    and manual commit, which can cause protocol errors. So let's try not to
    do that as much as possible, while preserving common code paths between
    X11 and Wayland.
    
    First step: autohide window (to catch pointer events when the panel is
    hidden). As there is no animation on this window, we can simply hide it
    on X11 as on Wayland.

commit d839eacf62f859d93b22dcfc798089076c00fdc2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Sep 12 11:35:54 2024 +0200

    wayland: Avoid allocation loop when the panel is anchored to an edge
    
    Second try after b7083b35: reset anchors to default only if the natural
    width/heght change, so this should break the allocation loop and
    preserve auto-adjustement.
    
    Note that it's also necessary to delay the anchor change rather than
    apply it between get_preferred_(width|height) and size_allocate, as this
    can cause protocol errors (the internal workings of allocation depend on
    the anchor type, so we shouldn't change it on the fly). On the other
    hand, you have to re-apply anchors as soon as possible, otherwise
    maximized windows may flicker (exclusive zone is disabled when the panel
    is only anchored to two edges).

commit 62118fb9a72902295040368f4624ea54ac3c5ec5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Sep 12 11:03:49 2024 +0200

    Revert "wayland: Avoid allocation loop when the panel is anchored to an edge"
    
    This reverts commit b7083b3505aceb3852785ebb1e66909fcd4a1e75.
    
    Unfortunately the panel also changes size when auto-adjusting, so we
    can't restrict the use of this hack to setting changes.

commit b7083b3505aceb3852785ebb1e66909fcd4a1e75
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Sep 5 17:31:19 2024 +0200

    wayland: Avoid allocation loop when the panel is anchored to an edge
    
    This hack is still necessary to be able to resize the panel correctly,
    but it has triggered an allocation loop in labwc since version 0.8.0 (in
    fact since the use of wlroots 0.18 just after 0.7.3). Since it's only
    needed when the panel changes size, it's better to move it there and
    restrict its use to that case anyway.

commit dbcb9abde0f0bdad8fb21357fdf86d9da2c18201
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 3 12:48:25 2024 +0200

    I18n: Update translation ja (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2646731470b6bdf5a1be74f496d2414ffca55403
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 2 21:06:32 2024 +0200

    Fix gtk-layer-shell includes
    
    Include flag already contains gtk-layer-shell/.

commit f31cfcac52d3f6bffe85b1115c67f7684d0b16ec
Author: Anonymous <noreply@xfce.org>
Date:   Fri Aug 30 00:49:09 2024 +0200

    I18n: Update translation sk (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 35f81adacf274801fefe857430936321637417bf
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jul 12 14:11:59 2024 +0200

    Switch to XfwMonitor

commit 25e28174821a9d7d3fae5894bb3040f5dbf8cb08
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Aug 14 19:19:32 2024 +0200

    wayland: wrapper: Prevent plugin allocation blocking
    
    Fixes: #849

commit 910153052173b842574fdce44340aec6b3f372cd
Author: Anonymous <noreply@xfce.org>
Date:   Tue Aug 13 00:47:15 2024 +0200

    I18n: Update translation oc (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d037525a47cacfd91cb0a70aee5007aad38b2368
Author: Anonymous <noreply@xfce.org>
Date:   Fri Aug 2 00:47:48 2024 +0200

    I18n: Update translation el (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 83b4597a970ffdb377b1327b4dd200048e6b86b1
Author: Anonymous <noreply@xfce.org>
Date:   Thu Aug 1 00:48:00 2024 +0200

    I18n: Update translation el (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit abe95184e097e030170b1eaf11f1b8314052c0c7
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jul 26 12:47:14 2024 +0200

    I18n: Update translation sr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit dc26b9206df8901a4aea8ce8da1eb33fa07d66a8
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 25 00:48:07 2024 +0200

    I18n: Update translation tr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ea02f591e6175a56f9793c8da056a12f577d4479
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 24 00:47:53 2024 +0200

    I18n: Update translation cs (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c2d693592f26e248ae7fcc34d1a4d8eb20c40bf0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 24 00:47:53 2024 +0200

    I18n: Update translation ast (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 35886e890371222a55d626c1f41f4d465e4eba40
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 23 00:47:58 2024 +0200

    I18n: Update translation ast (76%).
    
    380 translated messages, 115 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f7cc8fa1c50e283706519c2e498495b9a82fc149
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jul 11 23:35:39 2024 +0200

    tasklist: Connect to XfwWindow::notify::monitors
    
    This is the right signal wince we're only interested in the monitors on
    which the window appears in this case, and this signal works just as
    well on X11 as on Wayland, unlike geometry-changed.

commit f691b4a1982ed2c3632913e0d0366b95699b038d
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 4 00:47:38 2024 +0200

    I18n: Update translation nb (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5551d10e870b7888c5a6359c2c23efb84fed4ce9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jun 30 16:40:16 2024 +0200

    panel: Fix panel flickering during autohide on Wayland
    
    Fixes: #848

commit 2868e97748cdad78281db69672a96f3c65c0d7d7
Author: Jeremy White <jwhite@codeweavers.com>
Date:   Thu Jun 27 18:45:47 2024 +0000

    Always set gtk_layer_shell monitor on change
    
    Fixes: #846

commit 8fcd64613e118870b9e64ae9cf7516cba2774ef6
Author: Jeremy White <jwhite@codeweavers.com>
Date:   Thu Jun 27 17:16:41 2024 +0000

    Add debug key for PANEL_DEBUG_ACTIONS
    
    Fixes: a5f1f4856000a79c05da59d4b2b8dc5456e1667b

commit 5982e697ea5614aadec75e2dac89051ad4edcb2a
Author: Jeremy White <jwhite@codeweavers.com>
Date:   Mon Jun 24 21:49:56 2024 +0000

    tasklist: Fix Wayland window drag and drop
    
    Manual arranging of window buttons failed under Wayland,
    because tasklist_window_get_xid() provided 0 for all windows,
    since Wayland does not provide a window id.
    
    Renamed to tasklist_window_get_wid() and used the window pointer
    itself as sufficient proxy for window id.
    
    Fixes: #845

commit 519b7568aa0da228c9310af2d609060be199928e
Author: square <square3880@gmail.com>
Date:   Sun Jun 23 10:03:46 2024 +0000

    panel: Do not remove plugin when disregarding restart dialog
    
    Previously when prompted to either restart or permanently remove a
    plugin from the panel, hitting escape (ESC) on the keyboard to close the
    sudden popup dialog would choose the destructive action. This patch
    changes it to the harmless one: restarting the plugin.

commit e7bc3e3ab8c3df5e7542fe42d4aa9689a104e0e2
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:48 2024 +0200

    I18n: Update translation zh_TW (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c1a5f22f965e3e9ffa4fdc84d07f54156f0bc680
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:48 2024 +0200

    I18n: Update translation zh_HK (84%).
    
    418 translated messages, 77 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f2c37c74816791f0b5a02502d009396725041b91
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:48 2024 +0200

    I18n: Update translation zh_CN (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8dc7ec7aa8adf928a93c881b728f87ff2ffe5dd0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:47 2024 +0200

    I18n: Update translation vi (62%).
    
    311 translated messages, 184 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 26bce3a64f6218145a66f111d6c8ab41a14d3882
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:47 2024 +0200

    I18n: Update translation uk (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7db4f96769104d59f7adc8ad43c9256ecc835654
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:47 2024 +0200

    I18n: Update translation ug (77%).
    
    382 translated messages, 113 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 064c661b41e8ce21b060226c9a16890d69a1b47a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:47 2024 +0200

    I18n: Update translation tr (98%).
    
    488 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ca8173e0012ad84fd76a587d842f08b027442069
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:47 2024 +0200

    I18n: Update translation th (93%).
    
    462 translated messages, 33 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 32edd81387b09adca9c5828acd81392a646d04cf
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:47 2024 +0200

    I18n: Update translation sv (99%).
    
    493 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5099767f1418484cc1d886940759c61580204458
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:47 2024 +0200

    I18n: Update translation sr (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 93aa48d1e04d561472109ff47e4a80782adc7373
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:46 2024 +0200

    I18n: Update translation sq (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5d4de5cc62e3dad3328912c6cb02e790011dc65e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:46 2024 +0200

    I18n: Update translation sl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d1935555aa368d4d935ff2b0a1e69a54061957ab
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:46 2024 +0200

    I18n: Update translation sk (93%).
    
    462 translated messages, 33 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7b7e00442e4ceea2bd49e5e445c440b5e919e2bb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:46 2024 +0200

    I18n: Update translation si (56%).
    
    280 translated messages, 215 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 67c74af8077dde539cb79c72887c54a07e5f32b6
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:46 2024 +0200

    I18n: Update translation ru (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2f7bd4487722d776f3edb10962aa9c85ede1db80
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:46 2024 +0200

    I18n: Update translation ro (78%).
    
    389 translated messages, 106 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 313c99f16d9eb9de766ad90c7f3fbaba44028857
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation pt_BR (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4bc688dd1cd6560fde435ce34748eafe88381833
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation pt (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 66f1fa900db1f9b3061a7d05748d1deebd136e0b
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 29b18de513ceeb6c6553affbb1333b77fe261974
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation pa (56%).
    
    280 translated messages, 215 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 219f877eb9ce70ea8f6c0df50e4a0874d7634037
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation oc (98%).
    
    488 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cf99716ca8ebba2febcfff763c12755db96719f2
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation nn (87%).
    
    431 translated messages, 64 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3c3807d68b14979530947c0f16ba8bd53f79dfe0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation nl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5d0624f34a363d0f9d902bf77db54fd39c22f791
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:45 2024 +0200

    I18n: Update translation nb (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 68f38ee4ce2aebdce1d71c66de84345e4a2eab11
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation ms (93%).
    
    464 translated messages, 31 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ada2f8095a24670be89515b270a0968d328a1a6e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation lt (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9dbb85e4ac4aeceaf34f762050e5c0adea6b2afa
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation ko (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c5ef2da17f12d6848eeff43d1f55e746721ea621
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation kk (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 50dac88e5c24420bf73c74caee84f1b2ddd8e04a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation ka (62%).
    
    309 translated messages, 186 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4fa929d4a5dd6d24652b701d1191d3b66409ecbb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation ja (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 611cecc64be12584b62132f0c732f261859eccb9
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation it (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b5a7cea831e2b1f36a2399fc1f346689104c8b35
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:44 2024 +0200

    I18n: Update translation is (88%).
    
    439 translated messages, 56 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 373d2c70e11c0a95939a6dfbd4b83de5b11c3248
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation ie (93%).
    
    461 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f0a9ab92ccaf70921d44852246b6b0f5775c579d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation id (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit adc78be38656273d78e01d355ea0f746d9f5b571
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation hye (84%).
    
    417 translated messages, 78 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1deba409a73fa07e0b14995aa863e19118936574
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation hy_AM (87%).
    
    434 translated messages, 61 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 953ea2796d4f45fbbe6c368251de4f9ea9db080b
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation hu (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f2a61c0408a8bb914e9db98e2693428aa8963bec
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation hr (90%).
    
    448 translated messages, 47 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7c8e1080cf0b43b3840ad9f9813d712f5892c9ce
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation he (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5f4e54d21d724dd2848ce4bba489e7e6937a53f4
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:43 2024 +0200

    I18n: Update translation gl (93%).
    
    462 translated messages, 33 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 78abcda8a076a0b8fb2a0eae2782567cbb079a33
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation fr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c1058e8d9dc9216565b80c02121bd94bbf2eabfc
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation fi (91%).
    
    453 translated messages, 42 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8fe2ef3fe2566520ef983bc7cd3ed97138209a17
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation eu (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 657241967aceacfd0b2897736c38d83eda56c8a0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation et (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 460372465e3452982512e78859510c71721e39d5
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation es (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 24d75351f0475455e712355689dc2c021621cb17
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation en_GB (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ea8666c28c172d01feb2a7df5b1cfb4b73f6a05f
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation en_AU (82%).
    
    408 translated messages, 87 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b8f04bf58f263ef23cde81e35e725524a7993d92
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:42 2024 +0200

    I18n: Update translation el (98%).
    
    488 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6eca4556a003b7f65d74f7da82a5923b86505017
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:41 2024 +0200

    I18n: Update translation de (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9f086fec6c808f4f6ff66c892e749fc09fd3421c
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:41 2024 +0200

    I18n: Update translation da (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4b29de65e8482b35afb7cecb6fa82e643f4d5744
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:41 2024 +0200

    I18n: Update translation cs (99%).
    
    492 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0c491ad64d6b397d259811f5029659a0f71f1bb4
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:41 2024 +0200

    I18n: Update translation ca (98%).
    
    488 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2ddc79fb2c4b079b8851a0587c638d1383c9b452
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:41 2024 +0200

    I18n: Update translation bn (60%).
    
    297 translated messages, 198 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 17203faa1d18e620bbef61722320f10546a5b786
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:41 2024 +0200

    I18n: Update translation bg (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6a8ff4bff3a3797c412a5eaced876d9e76e480c7
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:41 2024 +0200

    I18n: Update translation be (93%).
    
    462 translated messages, 33 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 80c8f9a078206ed54ecb6783331dca6b185da4b9
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:40 2024 +0200

    I18n: Update translation ast (76%).
    
    379 translated messages, 116 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 187234aec50ad95b902752b75d1b76a82da9a3a8
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:40 2024 +0200

    I18n: Update translation ar (83%).
    
    414 translated messages, 81 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 48bdb666772f1ad872402cb36d81274b55986aca
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 19 12:48:40 2024 +0200

    I18n: Update translation am (62%).
    
    308 translated messages, 187 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d8546f03c5a522f24f96459e3764cbf27e494cef
Author: Bobby Rong <rjl931189261@126.com>
Date:   Sun Jun 16 22:52:17 2024 +0800

    panel: Replace remaining gtk_message_dialog_new with xfce_message_dialog_new
    
    Follow-up of the previous few commits.

commit 155720ff7e6f1cbef9ab436f39e21e88c96bcc36
Author: Bobby Rong <rjl931189261@126.com>
Date:   Sun Jun 16 21:20:29 2024 +0800

    common: Introduce panel_utils_gtk_dialog_find_label_by_text
    
    It looks like we want to obtain the label in such way in multiple places.

commit 5bfa42f108a748329baf6389563b7f0d1f773163
Author: Bobby Rong <rjl931189261@126.com>
Date:   Sun Jun 16 18:44:50 2024 +0800

    tasklist: Use xfce_dialog_show_error when starting new instance fails

commit 3811371b020a23085f9d2fc59d4c2a5922d1ac7c
Author: Bobby Rong <rjl931189261@126.com>
Date:   Mon Jun 10 22:00:05 2024 +0800

    actions: Use xfce_message_dialog_new in confirmation dialogs
    
    To make the UX more consistent with other confirmation dialogs.
    
    Fixes https://github.com/shimmerproject/elementary-xfce/issues/450.

commit a7bf2db2c93c6e0483d37b878f5ef7e7e984600a
Author: Bobby Rong <rjl931189261@126.com>
Date:   Mon Jun 10 20:14:04 2024 +0800

    panel, libxfce4panel: Use xfce_dialog_confirm in plugin removal confirmation
    
    To make the UX more consistent with the panel removal confirmation dialog.

commit a1b84c81c269ca960e80f0b72a8aaa219f4faa64
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 9 00:47:19 2024 +0200

    I18n: Update translation en_GB (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a58c456b8f6d4a08ca49978c0858a26fa3d9e09a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jun 6 00:48:46 2024 +0200

    I18n: Update translation sl (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f8e71bb71c3ae26c83b9a9c3b780372b94269edc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jun 5 15:49:12 2024 +0200

    gcc-analyzer: Add false positive file

commit 92a963d5bdc68ba092334d5aff59c68f16f82b93
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jun 5 15:45:29 2024 +0200

    scan-build: Add false positive file

commit 27eebdfeafb376f5b11837dc772d09adb5941296
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jun 5 15:36:08 2024 +0200

    scan-build: tasklist: Fix core.NullDereference
    
    tasklist-widget.c:4400:55: warning: Access to field 'data' results in a dereference of a null pointer (loaded from field 'windows') [core.NullDereference]
     4400 |                                                       group_child->windows->data);
    
    I think all calls to xfce_tasklist_group_button_child_visible_changed
    are protected, so as it stands it would be a false positive, but that
    might change in the future, and this extra check won't bother no matter
    what.

commit b9b23adde4445a024e5eb49af1ba04a08b58642e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 5 12:47:28 2024 +0200

    I18n: Update translation sl (99%).
    
    493 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a86d4df5bb009a1d94073535bba5b3c1d1ffbcf0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 5 00:48:17 2024 +0200

    I18n: Update translation ko (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 241a029a595c77eca1b0395dabf2352e7d3c33d6
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 2 12:47:56 2024 +0200

    I18n: Update translation kk (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 67a1a3e4a2d3a227228582bbda3658f983c62d76
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 29 00:46:59 2024 +0200

    I18n: Update translation es (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 34773b7f974b0b8c31f6a32fc1ea9c93048aa1a5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 28 23:29:29 2024 +0200

    Revert "Add new CI builds to build without X11 and Wayland"
    
    This reverts commit d0c3c430ac869146882c50e17a00b31f89bde9a3.
    
    Now included in xfce/xfce4-dev-tools/ci/build_project.yml, see
    xfce/xfce4-dev-tools!110.

commit 1f6ca904267149d625cf284bf7f5d71a7bb299bb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 28 18:43:28 2024 +0200

    Apply .clang-format file

commit 5b9ac05dbed6b9bb459023f9e12cbbcc249671b0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 28 18:30:25 2024 +0200

    Remove unnecessary dirname in local includes

commit f4f9fc47c467faf9843988c5df696426d0ae3b1a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 28 17:29:46 2024 +0200

    clang-format: Use IncludeBlocks::Regroup

commit 0117d000b71d0c1238ff687409acf52eca266bb4
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 27 12:47:44 2024 +0200

    I18n: Update translation et (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 45ba30341c1cd4fa2b062ac7a5887a1c66c5d80f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 24 00:02:44 2024 +0200

    build: Add missing CFLAGS and LIBS from gio-unix-2.0
    
    Fixes: #839

commit fcee4201e254a417f8146723b24ce0716840c96b
Author: Nicholas Vinson <nvinson234@gmail.com>
Date:   Tue May 21 01:10:10 2024 +0200

    build: Add missing math.h includes
    
    Commit 0f786ce451297f8d26d41dc8492c10db08d8f87f added a math.h include
    statement to libxfce4panel/xfce-panel-image.c to fix issue #833.
    However, libm functions are used in more files than just
    xfce-panel-image.c.
    
    Therefore, add math.h include to other files that use math functions.
    
    Signed-off-by: Nicholas Vinson <nvinson234 at gmail.com>
    Fixes: https://bugs.gentoo.org/932303

commit 13646553162f2ee22739391a614b7e5bcd2098ff
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 21 00:47:07 2024 +0200

    I18n: Update translation et (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f524604e6270719f64e54b061584b95770efdd12
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 17 22:19:33 2024 +0200

    build: Silence -Wstring-plus-int from clang
    
    Pointer arithmetic is intentional here.
    
    Closes: #837

commit 30d99a05e03a22293aaa9001b36b7b34892f6e10
Author: Landry Breuil <landry@openbsd.org>
Date:   Fri May 17 18:45:00 2024 +0200

    fix build on OpenBSD after 0c56766b
    
    WIFEXITED, WEXITSTATUS, WIFSIGNALED & WTERMSIG require <sys/wait.h>

commit cc187b1fb5eff58f49dbce858326d05b0e973df9
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 17 00:46:57 2024 +0200

    I18n: Update translation he (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d722fb2e698ba12b23203737651286cd2464a7f4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 16 09:23:53 2024 +0200

    Back to development

commit ca8bd6f54f58079333e948646ec5c9bf16ce8e1d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 16 09:23:14 2024 +0200

    Updates for release

commit 985fe1e4938c69d336cca3891d020acfeaaf0cce
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 10 00:46:54 2024 +0200

    I18n: Update translation pt_BR (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9d6339c948c67f4d42b18658dba2934395d44ad1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 9 13:04:11 2024 +0200

    clang-format: Break after assignment operator

commit d4174eb9c323f9c972213775f83ef2c92c816bfd
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 9 00:48:05 2024 +0200

    I18n: Update translation lt (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6b0e764040fc93e92991f51a21d71310f42cd374
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 00:49:41 2024 +0200

    I18n: Update translation uk (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 57bc703ccea13b27aba9ee9f513b8243bb987839
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 00:49:41 2024 +0200

    I18n: Update translation pt (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6684bea0fb3f181dc0f642585b7273e5d55d8e15
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 00:49:40 2024 +0200

    I18n: Update translation nl (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8959ecded61fa65b2f6748691747272e71a5f85a
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 8 00:49:40 2024 +0200

    I18n: Update translation ja (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d6a1cedfdfda89b66b05b4876c272286df772471
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 12:50:53 2024 +0200

    I18n: Update translation zh_TW (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3e1ce2eebcb6220ac586a23b7cdfd88debc00830
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 12:50:53 2024 +0200

    I18n: Update translation zh_CN (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cd835f056307a10cca0d8619f3cb31ed8588e237
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 12:50:53 2024 +0200

    I18n: Update translation sq (99%).
    
    495 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cf55c41d72ae3ad64bdd64550865f290c8f8594c
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 12:50:53 2024 +0200

    I18n: Update translation fr (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0ea5cd97cba300ac69df0ce9d1a1c2f5d6113157
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 00:50:36 2024 +0200

    I18n: Update translation ru (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6b509061e05a91cd8f9ec816c84b9c4deaa2583f
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 00:50:36 2024 +0200

    I18n: Update translation pl (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b22699f6a7a7aae1eb6b33a9094e4fb585da3d2e
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 00:50:35 2024 +0200

    I18n: Update translation lt (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bf5853449e06960586641fc58f42bdac44fa453d
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 00:50:35 2024 +0200

    I18n: Update translation it (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 99a104900cd0fefed9e7d77eee74cfc3726b190e
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 00:50:35 2024 +0200

    I18n: Update translation de (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2d235bc14ac083cf911027b3aad45009176ece58
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 7 00:50:35 2024 +0200

    I18n: Update translation bg (100%).
    
    496 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7e7f60d3f7e5d07bc8219e53538ffee71f0df13f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon May 6 12:21:17 2024 +0200

    Add missing glade file to POTFILES.in
    
    Fixes: e94ba53afbc9b96e84a795ce075631029a68a6f5

commit e94ba53afbc9b96e84a795ce075631029a68a6f5
Author: Viktor Kurilko <v.kurilko@arenadata.io>
Date:   Mon May 6 10:17:15 2024 +0000

    showdesktop: Add the ability to show the desktop on mouse hover
    
    This patch adds the ability to show the desktop when hovering over the
    showdesktop plugin. A configuration dialog for this plugin is also added
    which allows for disabling this behavior.
    
    Closes: #517

commit a7374e2277860dc8f544b4375649b912e4276f11
Author: Anonymous <noreply@xfce.org>
Date:   Mon May 6 00:48:43 2024 +0200

    I18n: Update translation pt_BR (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 296d52d331df4d316a1dfc4e2d5335acb73db4ae
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat May 4 18:24:31 2024 +0200

    prefs-dialog: Improve launcher display in item list
    
    If this were to be done for many others, or even a few other plugins, it
    would be worth adding an API allowing plugins to provide better names
    and icons than generic ones, but it seems really launcher-specific. On
    the other hand, it's a plugin shipped with the panel for which this
    enhancement seems really relevant, so it seems to justify this little
    bit of custom code.
    
    Closes: #21

commit 10e66d15e6c8634569be67ba6f77a3bc1422c413
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 3 20:07:07 2024 +0200

    systray: Avoid GTK warning about pixbuf not loadable
    
    But preserve it when it's relevant.
    
    Fixes: 0b8777fb245e29f27d65e433fefd2ceea67a105c

commit 3c4c08caab8989776788b8238e8db6d363fa6da7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 3 19:29:47 2024 +0200

    panel: Leave a harmless xfconf warning
    
    I expected this half-protected g_idle_add() to cause problems, and it
    does: critical warning when a non-empty panel is destroyed. Protecting
    it completely would add more code to silence a harmless warning, so it's
    better to live with it.
    
    Fixes: e8b0e24bc5a60634ce12a7927f112291fb7c745d

commit 38b5e771f4cf134ccf9e0e3b2e52bef25df559ce
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 3 00:47:07 2024 +0200

    I18n: Update translation pt (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0d62711734b3141aca02289c3dd142a122041768
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 3 00:47:07 2024 +0200

    I18n: Update translation ja (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 53a0d9f383dce85c8281d2634240fe9c37c6fe3b
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 3 00:47:07 2024 +0200

    I18n: Update translation it (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 054a2e896cc5a38301b5a5acf2a02aa9e3757a16
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 2 16:18:41 2024 +0200

    clang-format: Insert a newline at end of file if missing

commit 0b56494e555770f8141bec6641f383e9e9852b90
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 12:47:09 2024 +0200

    I18n: Update translation zh_TW (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c45366beb78f60720161909ddc3c0d40fb99c8ed
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 12:47:08 2024 +0200

    I18n: Update translation zh_CN (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a885107ba01cf045577b29500256f90841b4a8eb
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 00:47:01 2024 +0200

    I18n: Update translation ru (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9ba2ca69b9b62773bc373d2920add64c739e29ae
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 00:47:01 2024 +0200

    I18n: Update translation nl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 45069aae13f3095b2bef734ef01dba5ee257fe58
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 00:47:00 2024 +0200

    I18n: Update translation lt (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fec91bbbba8133994964f6f06d7edff05cf4b2c7
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 00:47:00 2024 +0200

    I18n: Update translation de (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8d8cd1c5ce725763a78cca75e70482cef8f538c9
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 00:47:00 2024 +0200

    I18n: Update translation da (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9f2f30d01b4c11be62f7e5d0d3408949c3fac837
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 2 00:47:00 2024 +0200

    I18n: Update translation bg (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1d9be2a932c8f1650cd79372089c5b3703668283
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 1 12:47:23 2024 +0200

    I18n: Update translation sv (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 86728e425c4d6159d14482cc88f689420f9707a9
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 1 12:47:23 2024 +0200

    I18n: Update translation sq (99%).
    
    494 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b24e757c3b454d685ff12328d89653b9ccbc66f7
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 1 12:47:23 2024 +0200

    I18n: Update translation pl (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7fbf16a08476b96b1f416682afa3b06a386042f5
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 1 12:47:23 2024 +0200

    I18n: Update translation fr (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1970ef2e3c5097e2d43a6ffde927c139a134058c
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 1 12:47:23 2024 +0200

    I18n: Update translation et (100%).
    
    495 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a847d89fecde7fafd552868b87fb897a0c70d309
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 30 22:49:40 2024 +0200

    libxfce4panel: Add line break in generate code for clang-format
    
    Otherwise, it sorts the includes and places libxfce4panel-alias.h first,
    which breaks the build.

commit 731065055437672144532ba1d5f3e105ffc73d64
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 30 20:45:44 2024 +0200

    prefs-dialog: Bind Del key to remove button
    
    This nicely complements the multiple item selection from keyboard made
    possible in e8b0e24bc5a60634ce12a7927f112291fb7c745d.

commit ed3a1401c921b688e7c4bcbad4e04b37907bf19b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 30 19:47:44 2024 +0200

    prefs-dialog: Scroll to selection when item view is reloaded
    
    And update selection when removing an item, so the view is not scrolled
    at the top each time.
    
    Closes: #219

commit e8b0e24bc5a60634ce12a7927f112291fb7c745d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 30 12:36:44 2024 +0200

    prefs-dialog: Allow several items to be removed at once
    
    Closes: #219

commit 9cb975f25675ad35aabf26cbbf2fa01f2885122e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 30 08:22:18 2024 +0200

    prefs-dialog: Update widgets on GdkDisplay::monitor-(added|removed)

commit 309ffffb2fa1b94ffd2334a5a3861aa5906ebefb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 22:45:22 2024 +0200

    systray: Always scale icons
    
    It's probably better to have a few blurred icons than disparate sizes,
    and better to avoid an option for that too.
    
    Closes: #678

commit 2d166e09e72b02bbe70cae01f0dc2712ffb33d77
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 22:30:58 2024 +0200

    systray: Reduce icon size in prefs dialog
    
    I'd set it to 24 in 90b8a23f but it's too big. 20 would probably be
    nice, but id doesn't seem possible when using GIcon.

commit 0b8777fb245e29f27d65e433fefd2ceea67a105c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 22:28:51 2024 +0200

    systray: Improve app data search in prefs dialog
    
    Closes: #712

commit 7b0a59416ec4a70ff0387bbeb424838ecd823123
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 19:26:39 2024 +0200

    systray: Avoid duplicate code around legacy items

commit 3570eb51e277cb739117e74278a738494644f1f9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 12:07:10 2024 +0200

    systray: Use panel_properties_bind()
    
    Instead of xfconf_init() without error handling.

commit 78895ba97dea58b52cf19439881ccd25d7b1cd29
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 11:32:35 2024 +0200

    panel: Save settings in finalize()
    
    Saving in dispose() is no longer needed since 005aeb2d.
    
    Related: 0d97f0c70d6979c43bce7d2ebd61290d31547658

commit aece99dbcb009ba32ac7d153a2c97f33dff6bab1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 15:11:56 2024 +0200

    tasklist: Fix min button length before overflow menu
    
    It also seems important to preserve a certain elasticity before sending
    buttons to the overflow menu. With this commit in addition to the
    previous one, the default behavior is the same as before, including for
    the overflow menu.

commit 418fb27a4386eee5437f8ade4c63558fbcb190f0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 29 09:27:55 2024 +0200

    tasklist: Fix default button length
    
    Since 0f43d3f8, the length of the buttons varies between
    min-button-length and max-button-length depending on the length of the
    labels, which is fine and complies with the documentation, but may not
    be what all users want. Setting a minimum length equal to the maximum
    length ensures the same default behavior as before, overflow menu aside.
    
    Amends: 0f43d3f8e028b4af9220abb4a840d8ee7ac278fe

commit 0f786ce451297f8d26d41dc8492c10db08d8f87f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Apr 28 23:00:15 2024 +0200

    build: Add missing math.h include
    
    Fixes: 0c56766b0f6c73a666889f07d063993e77f002eb
    Closes: #833

commit eaa632d9c522321484ccfb414cae17ecfe05a84d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Apr 25 06:02:24 2024 +0200

    Apply .clang-format file

commit 0c56766b0f6c73a666889f07d063993e77f002eb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Apr 25 18:39:34 2024 +0200

    Clean up and sort includes
    
    Better make a separate commit for that too, as I'm still removing quite
    a lot, beyond just sorting.

commit b4f7580626902944028866af6da695760fe6c3f5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Apr 25 19:26:53 2024 +0200

    Various preliminary cleanup
    
    This should have no functional impact, but it's better to subtract it
    from the formatting that follows.

commit 7bb574d0cba89292bc3839a0b340e459323bb347
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Apr 25 05:57:12 2024 +0200

    clang-format: Add file
    
    The alignment of function parameters and variable declarations is
    dropped, as this leads to too many realignments as changes are made and,
    in my opinion, needlessly pollutes diffs. In any case, I believe that
    the particular alignment used by xfce4-panel:
      PanelWindow  *window;
      gchar       **str;
    is not reproducible with clang-format, which is only capable of
    producing:
      PanelWindow *window;
      gchar      **str;
    
    The alignment of function declarations in headers or at the top of
    source files is also dropped, for the same reasons. The format used is
    the same as for function definitions: the return type on a separate line
    and one line per parameter. It's still easy to read and will simplify
    copy-paste.
    
    The rest is pretty much unchanged, apart from a few inevitable
    adaptations here and there.
    
    Related: apps/orage#32, xfce/xfce4-dev-tools!101

commit e77763bb89a8d6ebdbc39cce18096f6ed4730c49
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 24 00:47:39 2024 +0200

    I18n: Update translation cs (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 39b40f6a2fd1b96a2bee4cc7633a0c864b6452d6
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 22 00:47:25 2024 +0200

    I18n: Update translation en_GB (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7bef6efb57ee9613cc0331f460b1d1460406d2cb
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 21 00:47:23 2024 +0200

    I18n: Update translation da (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 58e1d2eac2b261479d593df1b69177323063fab6
Author: Georg Schwarz <georg.schwarz@freenet.de>
Date:   Sat Apr 20 19:36:22 2024 +0000

    windowmenu: Remove a duplicate check

commit b88ce5daaf57f9ea8998f66ce7cbac9b7f74e7ab
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 20 19:08:10 2024 +0200

    Remove dead code

commit 20ad8266cb52ed640bd25eed2a691ae6f412e27a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Apr 15 13:18:55 2024 +0200

    tasklist: Sanitize XfwApplication management
    
    Now that we're using our own library, we can ensure that XfwApplication
    is non-null and stays alive as long as one of its windows is alive, so
    we don't need to take a reference from it. What's more, the app table
    doesn't need to exist if grouping by application is not used. So we no
    longer intervene in the lifecycle of XfwApplication, which is released
    in libxfce4windowing as soon as its last window is closed.

commit db4d477afc335d3fec8e044a775215a4d6a548db
Author: Georg Schwarz <georg.schwarz@freenet.de>
Date:   Sun Apr 14 21:36:55 2024 +0000

    Minor spelling/grammar corrections in comments
    
    Fixes: #831

commit 63d7da2cec363d8c1d0c9c8a89e13200151928b0
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 13 00:47:08 2024 +0200

    I18n: Update translation et (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a81142e0e49ccdeb795dc276b07d55dcb1eb2241
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 11 00:47:05 2024 +0200

    I18n: Update translation nb (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a36a7ad9d57f8822a22fb45c043e61205bbbf44f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Apr 10 23:45:25 2024 +0200

    POTFILES.in: Remove untranslated file
    
    Fixes xgettext warning about unknown extension.

commit b0a47de0b8b38cff83e88aa663d0ea7ef021f52b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 9 00:47:29 2024 +0200

    I18n: Update translation id (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4fdd89eed83ca6e52e7a2295b62aa31c41ff77b5
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 8 00:47:46 2024 +0200

    I18n: Update translation sr (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c674abb362ed0e945a65fa536106575f3fafbdf7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 6 23:30:02 2024 +0200

    panel: Define constants common to window and itembar

commit 4705572a5e1e1da8620126b18bdc60288733835b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 6 23:11:29 2024 +0200

    windowmenu: Clamp style properties
    
    Also allow -1 for max-width-chars as with tasklist.

commit 8f891507dc6a95619686b3437252ddc2121c5f81
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 6 22:47:27 2024 +0200

    tasklist: Allow -1 for menu-max-width-chars
    
    Since the doc says: "If this property is set to -1, the width will be
    calculated automatically."

commit f9d5b4444cc4222f4b502d8e7370d4ffd7b7467d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 6 22:31:26 2024 +0200

    panel: Restrict admissible values of style properties

commit 6df64237facaa8e2390bd5a8b5f00262e3aaf2d3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 6 18:08:59 2024 +0200

    tasklist: Fix use of min-button-length
    
    Helps: #683

commit 0f43d3f8e028b4af9220abb4a840d8ee7ac278fe
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 6 12:52:21 2024 +0200

    tasklist: Fix use of max-button-length
    
    Helps: #683

commit 90dbcc99750da23c48ab0b19a4fbd27ad4988e29
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Apr 6 12:47:07 2024 +0200

    tasklist: Clamp style properties
    
    And take proper account of -1 values specified in the doc by changing
    them to maximum values from the outset.
    
    Helps: #683
    Related: https://docs.xfce.org/xfce/xfce4-panel/tasklist#style_properties

commit 3cec660972433b994e0ed2efe2942b5ab35a5617
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 4 00:48:06 2024 +0200

    I18n: Update translation uk (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 008dc61d53e4286a770b8531ca738db2067d53e5
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 3 00:47:37 2024 +0200

    I18n: Update translation sl (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 21a4f82439a6e0c849ab700827b20212ddd060fa
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 2 00:49:59 2024 +0200

    I18n: Update translation lt (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 56b25946ad552eee426ab16d99379aa2cc7c037d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 1 13:43:46 2024 +0200

    I18n: Update translation zh_TW (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5a81009018152855922d3d324b3ef15aed415bbc
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 1 00:48:11 2024 +0200

    I18n: Update translation zh_CN (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c2db886c126da2034c867f6818d7779eb4b79de0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 1 00:48:10 2024 +0200

    I18n: Update translation sr (99%).
    
    492 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1e2a4c3fd3130aaec8350b25f7e9589063d708f0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 1 00:48:10 2024 +0200

    I18n: Update translation ru (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c9ec67f7f9a48e067aced61edec43c171a14e978
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 1 00:48:10 2024 +0200

    I18n: Update translation pt (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 26e3a9a6c5e7ed35dc446caa89a3e31c5966c7d8
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 1 00:48:10 2024 +0200

    I18n: Update translation hu (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5092e48ea3eb7034ed2db3f20550bfbc39dd92f7
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 31 00:47:29 2024 +0100

    I18n: Update translation it (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8e8f40de56eec8cf4b6cfabc625ee8b4d7752988
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 31 00:47:29 2024 +0100

    I18n: Update translation eu (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2723509a06012f53cfed4bea9a0291a360fbf185
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 31 00:47:29 2024 +0100

    I18n: Update translation bg (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ad0b04727336af3b852c646df1c3ea0a3b574bcc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 30 15:58:19 2024 +0100

    actions: Add some fallback methods if there is no session proxy
    
    It seems that loginctl and shutdown are quite portable, unlike
    systemctl. It can always be improved later if desired.
    
    Closes: #747

commit 17c29d5b5b4f79868c775521a084eb76d76d8f43
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 30 13:09:48 2024 +0100

    actions: Ask xfce4-session to switch user if possible
    
    Closes: #39

commit 2124b7142d5b5efc6fc6434b58ff9277c06bbe66
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 30 12:51:30 2024 +0100

    actions: Fix wrong parameter allow_save for Shutdown and Restart

commit 5aad7db7f9f5ff9c730b425754f2bea7d050ba9a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 30 12:40:20 2024 +0100

    actions: Let xfce4-session manage its settings internally

commit a5f1f4856000a79c05da59d4b2b8dc5456e1667b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 30 10:58:42 2024 +0100

    actions: Rework D-Bus proxy management
    
    That way we have a proxy only if the service exists, and warnings are
    meaningful.

commit 4a1c2b9a5613f75ce1e369ade6486b17137dd55d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 30 13:38:05 2024 +0100

    Reintroduce panel_properties_get_channel()
    
    It's actually needed since plugins can be run as external.
    
    Fixes: 005aeb2ddeead5b5fadd4c40eeb92206e09a80c4

commit 51bd16df175b2f41b8289a85acda1587a528a190
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:03 2024 +0100

    I18n: Update translation zh_TW (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b059713bd834bd91035eb6d52b17e0b266f48b0c
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:03 2024 +0100

    I18n: Update translation zh_HK (84%).
    
    418 translated messages, 75 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 31e4d6aee98a0d8aad467ad57b5a04e0f65e2a55
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:02 2024 +0100

    I18n: Update translation zh_CN (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4045e3cebc362c50da5651bfdc279833e239f5ad
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:02 2024 +0100

    I18n: Update translation vi (63%).
    
    312 translated messages, 181 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1656925f3573038b50d4632a07a9469d45a66f26
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:02 2024 +0100

    I18n: Update translation uk (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 55d37b219e8ea1882f47454ad924af7909818c29
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:02 2024 +0100

    I18n: Update translation ug (77%).
    
    383 translated messages, 110 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 744a910425e3ed810ec78b047efdd95a3a3f1451
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:02 2024 +0100

    I18n: Update translation tr (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 607c9c31be5c73fbbc1f59ad8808f878815c294e
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:02 2024 +0100

    I18n: Update translation th (93%).
    
    462 translated messages, 31 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9abae24edfda19b6212e435623a78938d2adbe47
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation sv (98%).
    
    488 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7ed609334ac4592598dacce82479d272d911c3a7
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation sr (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ad61923e42082497af0b1ef8ad51e0beedf8032a
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation sq (99%).
    
    492 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1304ec2c2dbb6e29b155611ed3d45cf33309f1e4
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation sl (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bbf8658537a3f2a25693589a0298ae970e83d782
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation sk (93%).
    
    462 translated messages, 31 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0a9871ca41231d7ad23b14e1ff98c54491c6d590
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation si (56%).
    
    281 translated messages, 212 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 141c6b8445c0679938b27d2fc09c7ba6423f341a
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation ru (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 73600d7b24d9c5f887a2f464be50f083898087d0
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation ro (78%).
    
    389 translated messages, 104 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ca76aa6bf0c10b0aa38cc77e17b0b7666aebad01
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:01 2024 +0100

    I18n: Update translation pt_BR (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cae21182ed65bf1ff95746f8e67f917b18e976bc
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:00 2024 +0100

    I18n: Update translation pt (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5132126f9b8fa997947169f07293a1aad9a38a52
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:00 2024 +0100

    I18n: Update translation pl (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d65bebe643bdf5c7bc207597904bbf37c10f1599
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:00 2024 +0100

    I18n: Update translation pa (56%).
    
    281 translated messages, 212 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 144124c8527ad6b1ecb4524ff19f3204c03ca174
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:00 2024 +0100

    I18n: Update translation oc (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7a18fcfbbc2f582476f1548cf88b5a2d9aed804e
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:00 2024 +0100

    I18n: Update translation nn (87%).
    
    431 translated messages, 62 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1be9d1ae94c5154a3e603d701a7899e8fda25b99
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:00 2024 +0100

    I18n: Update translation nl (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit daeb04fa29ccac4de1adcb2e2cdbf7a8d9041c86
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:48:00 2024 +0100

    I18n: Update translation nb (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cf451fefe443d6b039ecc9a1c08f0c9b0b28e74c
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:59 2024 +0100

    I18n: Update translation ms (94%).
    
    464 translated messages, 29 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8abd2ec05a630979441115bd5765bb7430fa865d
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:59 2024 +0100

    I18n: Update translation lt (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9d821d543170331109ef5a1263cffc9c9aca45ca
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:59 2024 +0100

    I18n: Update translation ko (98%).
    
    488 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0d4a9b46d199a119708647603349cf7731806da2
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:59 2024 +0100

    I18n: Update translation kk (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e5f923a3bf43cc1306d4221debd6dfa013a8cfe1
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:59 2024 +0100

    I18n: Update translation ka (62%).
    
    309 translated messages, 184 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 15437dba1d371c742d19b42bbe57c952b6dbd5fd
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:58 2024 +0100

    I18n: Update translation ja (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5f63386940f0a9a96daf542e30de5a9402688883
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:58 2024 +0100

    I18n: Update translation it (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit de51c6783b452ddeeeb27d7ba1bedb5b7b809b33
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:58 2024 +0100

    I18n: Update translation is (89%).
    
    440 translated messages, 53 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8179b050a91a2e83ed73c67a1d1c25bb38968c8f
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation ie (93%).
    
    462 translated messages, 31 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7f113f4e56818e3da43f46422788368b90ad3532
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation id (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit be0db318e116c4e336f39cea303242d03dcb3206
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation hye (84%).
    
    417 translated messages, 76 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 13210d5c9878c17a954ca28062762f7543652370
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation hy_AM (88%).
    
    434 translated messages, 59 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fb93c26abdd1da871c89d8ba0d84a850fa907875
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation hu (98%).
    
    488 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ce709187366c7bf2bb2cd00491cf468926d8f78f
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation hr (91%).
    
    449 translated messages, 44 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 14b7006799fde0a0d59a31eecd36f8629faf2b5d
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation he (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7794349077a57005a4c2c12fc2a5fd29e7e72943
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:57 2024 +0100

    I18n: Update translation gl (93%).
    
    462 translated messages, 31 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 369f4e90f1bcc97f5cc8ade18421fdc14d01f694
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation fr (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 21f58bb4fabf7117433f6697cb5830d61c446094
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation fi (92%).
    
    454 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d11ca310ee393cf27d8b47afd07ead383bf85722
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation eu (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b03c0302608357543df6e5f46dd4dc6b37281374
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation et (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8a0efaff428fa6e3b8c7709caa5a56f60ee60a9f
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation es (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4623b66aedf9f9268e91445da0ffdae70e16b20b
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation en_GB (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit af6168beb54888a6fb190d1e7f6c03b9140f9848
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation en_AU (82%).
    
    408 translated messages, 85 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 51ad78a98e07d688ea40f1fbc12c1b28b4b5ac1e
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:56 2024 +0100

    I18n: Update translation el (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ffcd0c144495d6290dc4a444a01020e0807c1ec2
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation de (100%).
    
    493 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 351e927dd75daf16c7c0532f9c960488f0488208
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation da (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 24e1147eea3e9ec989ccc90d60210cb443e3e10f
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation cs (97%).
    
    482 translated messages, 11 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ec08dd29cc3bb9da0d7ec8ad7f601aa8b6eba566
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation ca (99%).
    
    489 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2fba8bbd9749cd68f0b49cbe0ecb24df1483cfb0
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation bn (60%).
    
    298 translated messages, 195 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a95dbbd93a10c7454dbcd4f32bb6bb628deb406b
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation bg (99%).
    
    490 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7601a094a33bde027dde2572711a5c82cce481b3
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation be (93%).
    
    462 translated messages, 31 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bbdc45f25af022004bf5c22ec6af80b999a67b14
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:55 2024 +0100

    I18n: Update translation ast (76%).
    
    379 translated messages, 114 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 312400386924fa879e75fe2e2b5a811c6a577cfb
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:54 2024 +0100

    I18n: Update translation ar (83%).
    
    414 translated messages, 79 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8851d152b1a58790f9ba80f63535ea386eabddcb
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 30 12:47:54 2024 +0100

    I18n: Update translation am (62%).
    
    308 translated messages, 185 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 46f43423eb8a9f1790854ed3654b5156338cee47
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 29 22:24:04 2024 +0100

    Ask user what to do in case of plugin loading failure
    
    894c6d9f should have reduced the risk of this happening. For the
    remaining cases, it seems preferable to rely on user intervantion rather
    than trying to implement things that are more complicated than useful.
    
    Closes: #718

commit 005aeb2ddeead5b5fadd4c40eeb92206e09a80c4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 29 10:15:05 2024 +0100

    Check for xfconf init in main.c and exit on failure
    
    No need to complicate things with panel_properties_get_channel(), we
    need xfconf anyway.

commit a989cfcdc39c9d82cea5c3adfbfca7f576e46960
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 29 07:46:07 2024 +0100

    Fix wrong string comparison
    
    Fixes: 894c6d9f2804092333c0134cebdf293cfefe98a0

commit ef707c0ea3d48b23a11a01802fa12c1312624f02
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 28 19:49:07 2024 +0100

    prefs-dialog: Do not close when opening panel-profiles
    
    Closes: #809

commit 55de36ac01b963ce7cdf8f43784126d2abf20a36
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Mar 28 19:43:38 2024 +0100

    Revert "prefs-dialog: Launch xfce4-panel-profiles with '--from-panel'"
    
    This reverts commit 5f52615473cbf180f591fe5dd7947b1977855043.
    
    I don't really see the point of reopening preferences once
    panel-profiles has been closed in fact, especially if you don't close
    preferences when you open panel-profiles, as requested in #809 (next
    commit).

commit f5c053bec6923f1f81779de40cffeb08032fba48
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 28 00:47:21 2024 +0100

    I18n: Update translation nb (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 894c6d9f2804092333c0134cebdf293cfefe98a0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 26 16:10:15 2024 +0100

    Try to derive plugin dirs from XDG_DATA_DIRS
    
    The aim is not to cover all cases, or even as many as possible, but
    simply to make life easier for plugin developers and/or users in these
    fairly typical situations:
    * Installing a plugin in /usr/local when the panel is installed in /usr
      -> currently, the plugin doesn't appear in the add items dialog.
    * Installing an alternative version of the panel in /usr/local while the
      system version and its plugins are installed in /usr -> currently, the
      alternative version of the panel loses all its plugins on startup, as
      it cannot find them in /usr/local (#718).
    
    If the panel's datadir and libdir installation directories are
    conventional, i.e. of the form $prefix$data_suffix and
    $prefix$lib_suffix, then this commit should cover the above cases. More
    generally and precisely, it searches among the XDG_DATA_DIRS and
    XDG_DATA_HOME directories for those ending in $data_suffix, and tries to
    use their $_prefix to find plugins in the pair
    ($_prefix$data_suffix, $_prefix$lib_suffix).
    
    This also drops support for the old plugin location, which was
    deprecated in 2010.
    
    Related: https://bugzilla.xfce.org/show_bug.cgi?id=5455
    Helps: #718

commit 49d144259362d3630b03d122ef010e091dd6b532
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 26 16:06:23 2024 +0100

    Remove NDEBUG compiler switchs

commit 700e1731887e902d648b56a8f7e5472f0629f283
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 25 17:57:13 2024 +0100

    launcher: Delete unprotected X11 code at runtime
    
    It doesn't seem worth doing anymore, if it ever was.

commit 9b33167e4926d0f3971cda767e720324caef1d9b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 25 15:05:22 2024 +0100

    actions: Populate plugin earlier
    
    This is necessary on Wayland with the current external plugin mechanism
    for some reason, otherwise the plugin is never allocated (most of the
    time). This is reminiscent of cases where the panel must be remapped to
    trigger allocation (see panel_utils_widget_remap() use cases), besides
    remapping also fixes the problem in this case.
    
    Anyway, raising the idle func priority works in this case while
    retaining the benefit of delayed execution, so let's do that.

commit c322d87e1fa5182fff60ff7263dd8ea57b66062f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 25 12:47:23 2024 +0100

    I18n: Update translation pt_BR (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9108107a04e760b1e1c5ff16a2fe4ce9af39dbd6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 24 19:50:58 2024 +0100

    systray: Avoid floating point exception
    
    Can happen on Wayland, race condition.

commit ce3bc17678067270687259478f2ec86de8d573da
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 24 18:07:39 2024 +0100

    panel: Use gdk_cursor_new_from_name() to be more cross-platform

commit 538fa280df93d8ac56f8897769858ab997821b09
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 21 00:47:05 2024 +0100

    I18n: Update translation uk (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b5f49a86afefca16a5bc4a711da6ec739f5f4eb0
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 21 00:47:04 2024 +0100

    I18n: Update translation ja (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ddd7eb8504249bc2084123d476c815d04c713373
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Mar 18 13:44:03 2024 +0100

    wayland: pager: Add missing runtime check
    
    Fixes: 8d2b1eae5c3297e17b7add3fcf86e34f2b5d6650

commit a51019f04cd4a36076ecdf7a043da6d4354d1292
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 18 12:47:10 2024 +0100

    I18n: Update translation zh_TW (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b30726e444bcd3c8f98306454a57b54e429d26ec
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 18 00:47:02 2024 +0100

    I18n: Update translation zh_CN (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5b319025776d5f3eb28800a4b2e3e8c2baac159f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 18 00:47:02 2024 +0100

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5debef67a081d7a701eb2d3f285bf4326c38b41a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 18 00:47:01 2024 +0100

    I18n: Update translation en_GB (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d1b87c148cc1ddbb8f41b1fa68f2895b83621233
Author: Zetta1Reid0 <ivalin1996@gmail.com>
Date:   Sun Mar 17 13:21:29 2024 +0200

    panel: Implement per window CSS customization
    
    Closes: #597

commit a5cc97fe407649828ad0e3168ab9b6c0dda9f18e
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 12:46:53 2024 +0100

    I18n: Update translation fr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a9d66f6df3ca5aa9c83635a0608379feb74c0a87
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 12:46:53 2024 +0100

    I18n: Update translation bg (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cbc1f9fe0a44e0e8cf71826f2b77d788da6cfbee
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:57 2024 +0100

    I18n: Update translation sr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 98a50453891d9dd2850d57f0f347017592a2d8d1
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:57 2024 +0100

    I18n: Update translation sq (99%).
    
    488 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3a9da417d2a50ee834fd25faee66940d35e23afc
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:57 2024 +0100

    I18n: Update translation pt_BR (99%).
    
    488 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2d30840e92b98be59552cc5f2d488da081e263b8
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:57 2024 +0100

    I18n: Update translation pt (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9a6e66c5de8e4f99e4e6fe0b6739446e07f8c8ec
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:57 2024 +0100

    I18n: Update translation pl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ce36753cc752c1d18422b44a22984de053f91ef0
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:56 2024 +0100

    I18n: Update translation nl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 828e20896cd6e03430434550a8783de30b9d9dff
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:56 2024 +0100

    I18n: Update translation lt (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 873f40e96ae0498a488789c5c81bf7b37c309608
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:56 2024 +0100

    I18n: Update translation it (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit dea4db55e559b55cfe95de406249831ed4df0ff2
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 17 00:46:56 2024 +0100

    I18n: Update translation de (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8a2beeed0cfd8e59518a0f16e9b7c5b61bc42ed8
Author: Zetta1Reid0 <ivalin1996@gmail.com>
Date:   Sat Mar 16 08:47:47 2024 +0200

    panel: Add border width option
    
    Closes: #821

commit 8ec82f75f09f37027c756bc2ff9231082e321b48
Author: Zetta1Reid0 <ivalin1996@gmail.com>
Date:   Sat Mar 16 08:46:36 2024 +0200

    itembar: Let GtkContainer handle border width

commit 5fefc125496078f5e76377366e37ac9d8712c52c
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 10 00:47:13 2024 +0100

    I18n: Update translation pl (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9d4d1acb7e37b8f35ebaea6fd1048114b49744ac
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 8 17:05:50 2024 +0100

    panel: Fix -Wmaybe-uninitialized warning
    
    Triggered by previous commit.

commit 50f52e6e07847d9b91b916be7d0646bb4bd6286f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 8 16:58:10 2024 +0100

    panel: Return silently when n_monitors == 0

commit e35cdc297adb6b56de0541194c4830188c33c1f3
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 8 12:47:53 2024 +0100

    I18n: Update translation el (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a6555bfd747a1177a37c4d345d9976d22fb704bd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 1 11:09:40 2024 +0100

    tasklist: Do not call xfw_window_x11_get_xid() on Wayland

commit 3fe60e38b583e3a26908da12a38c8099362a7eff
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 29 12:00:36 2024 +0100

    Back to development

commit 13b8c31fb5ca2fd6688d789a2cce0123467dd7b2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 29 12:00:09 2024 +0100

    Updates for release

commit 716f1c7c6c25da402655dfb9a39aafd9c8940b3d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 29 11:42:09 2024 +0100

    Update copyright year

commit c4f0fffe266c969ec605d1685f65e9e305c64010
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 22 13:43:49 2024 +0100

    tasklist: Fix include-all-monitors on Wayland
    
    xfw_window_get_monitors() has existed since libxfce4windowing 4.19.0 but
    was broken on X11, so it requires 4.19.3.
    
    Related: libxfce4windowing@a8aa79e5c8c826f98549609016633ec9f86a71f9

commit 8fb1fd9a181d44897542291b25bfa42bd7272330
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 25 16:10:15 2024 +0100

    Adapt to libxfce4windowing 4.19.3 API update

commit 39f84db9ab911e6cd152efb26ba562f670bf20a1
Author: Anonymous <noreply@xfce.org>
Date:   Wed Feb 28 12:46:57 2024 +0100

    I18n: Update translation hu (99%).
    
    487 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5ecde58dda18169a9b4e19037da60e2399fe1034
Author: Anonymous <noreply@xfce.org>
Date:   Wed Feb 28 00:46:57 2024 +0100

    I18n: Update translation hu (98%).
    
    479 translated messages, 9 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e1fd0576da0860050552d8ac3108607aaf1531c8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 25 12:45:11 2024 +0100

    Do not use g_log_set_always_fatal()
    
    It's often confusing, even when you're used to it but have forgotten
    it's there. It's possible and more practical to use the G_DEBUG
    environment variable instead.

commit 41edb6b02439754a6f401b62263e6ccddf3fbddb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 22 18:14:27 2024 +0100

    launcher: Ensure default icon in empty launchers
    
    Because of this empty launchers had no icon when run as external.

commit 56bb5b3cbb3a1c6cbbe83008848ca97a3861c980
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 22 12:29:00 2024 +0100

    tasklist: Add missing runtime checks to enable show-wireframes

commit c488ed1eea6ada1a521130fd0541bc707cef622d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Feb 9 00:47:35 2024 +0100

    I18n: Update translation it (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 85b76f1880f51dcd2263ae6e5ee0e211e8d4cc7f
Author: Anonymous <noreply@xfce.org>
Date:   Wed Feb 7 00:47:40 2024 +0100

    I18n: Update translation it (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d0c3c430ac869146882c50e17a00b31f89bde9a3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 31 18:24:45 2024 +0100

    Add new CI builds to build without X11 and Wayland

commit ac8ea2b78b55f0819f6cc80ea08526c382bc4f7f
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 26 00:46:49 2024 +0100

    I18n: Update translation is (89%).
    
    439 translated messages, 49 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 211e64a19ad4c5d462b466227d5d3e8bdea9990f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 11 18:11:31 2024 +0100

    build: Search for bind_textdomain_codeset in libintl too
    
    In FreeBSD bind_textdomain_codeset is provided by external package
    gettext via libintl.
    
    Related: https://gitlab.xfce.org/xfce/libxfce4util/-/issues/25

commit 823bb38136377ec7e8a640279a9d22585efb339f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 22 23:37:39 2023 +0100

    Fix memory management of GTypeModules
    
    Finalizing a module containing types and/or interfaces implementations
    is no longer possible as of glib 2.79.0. See
    https://gitlab.gnome.org/GNOME/glib/-/merge_requests/3779

commit 12ef913a210fbfb6523f3b156f187a19cc382bc9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 6 17:51:49 2023 +0100

    pager: Do not query workspace count if screen is not initialized
    
    This can happen if the panel is hidden at startup because it is
    associated with a disconnected monitor, then shown when this monitor is
    connected. The plugin's size negotiation then takes place before calling
    construct(), where the screen is initialized.

commit c3c7a9ec522fb2caaa8b1fff630d1197d100798d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 5 20:26:12 2023 +0100

    panel: Call gtk_init() early enough
    
    Fixes: 3e59a4e4cfad668415275d21d6e290d8fd81056b

commit 6185d3d95f0980b789b99a0e8e97d4f1a66da3f2
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 28 00:47:11 2023 +0100

    I18n: Update translation oc (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d147c5f73be0aa2b24fc0c793b1242eaa2d49f1d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 27 00:47:28 2023 +0100

    I18n: Update translation cs (98%).
    
    481 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 74ba1b0945f72c3a033c4b4903eee1b350dce829
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Nov 24 15:36:41 2023 +0100

    wayland: libxfce4panel: Fix broken autohide when showing context menu
    
    Fixes: 4de9f769d079ffd4971369277d64fb0503a8bb6e

commit 81fb77be0b7834be7e06bbf40bcaaecf4cf8cff5
Author: Anonymous <noreply@xfce.org>
Date:   Fri Nov 24 12:47:27 2023 +0100

    I18n: Update translation tr (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7ee275c0fb442d2b24d307040b9ca4ea61e0ffa1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Nov 23 19:35:26 2023 +0100

    libxfce4panel: Fix custom menu items management
    
    To avoid duplicate entries in the context menu, custom menu items should
    be destroyed whenever xfce_panel_plugin_menu_destroy() is called, not
    only when plugin->priv->menu != NULL, as this menu is only created the
    first time it's when shown.
    
    However, doing this reveals an additional call to
    xfce_panel_plugin_menu_destroy() in xfce_panel_plugin_set_locked(),
    which empties the menu after being populated by the plugin. I think this
    call could simply be removed, but in any case it should only occur if
    the plugin is locked, as there's no reason to empty the menu otherwise.
    
    Fixes: #804
    Related: 99127d1d3c, fb37ad2c35

commit fcea1db72c1d2387309161523cf2b263db5bbc8e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Nov 23 16:49:02 2023 +0100

    panel: Fix previous commit
    
    The XfceSMClient instance returned by xfce_sm_client_get() should only
    be unreffed once, i.e. it is *not* transfer full contrary to what the
    doc says.

commit 3e59a4e4cfad668415275d21d6e290d8fd81056b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Nov 21 22:36:32 2023 +0100

    build: Restrict XfceSMClient to X11
    
    Libxfce4ui >= 4.19.4 can be built without X11 support and therefore
    whithout XfceSMClient.

commit 31139478c638b5aaf60f2e4a76cb7fd77825a119
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 20 00:47:08 2023 +0100

    I18n: Update translation fi (92%).
    
    453 translated messages, 35 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9d6a3b3db6ebcf7da9c17fe46c8dd1bb6669402d
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 18 12:47:02 2023 +0100

    I18n: Update translation tr (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a7f3bc15724442427486f57f659a2f1426d347b2
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 15 12:47:12 2023 +0100

    I18n: Update translation ie (94%).
    
    461 translated messages, 27 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 67d0704ffa379eda7b9152c721c20441e2246133
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 26 12:46:59 2023 +0200

    I18n: Update translation it (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 53a74c264f15943ba3f8ca2c99a99042c51a68d4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 23 22:48:12 2023 +0200

    panel: Fix xfce_titled_dialog_create_action_area() deprecation

commit 2f5c1f0317d23f846e3022afb3bacdbe7bb01909
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 23 22:31:43 2023 +0200

    clock: Create monitor proxy asynchronously
    
    Closes: #798
    Related: !88

commit 56d2472ff3db133287ff676df8a52846be9c74f7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 9 15:30:12 2023 +0200

    build: Define our own windowing macro instead of extending GDK's
    
    It's probably better in general, but especially since this 7924c969:
    since the #ifdef is no longer based on GDK_WINDOWING_*, it can cause
    macro redefinitions which, if done the wrong way round, could activate
    code that shouldn't be.

commit ee4bf3eb3886ab3cbf2b7d16b171f969b06e1b8b
Author: Anonymous <noreply@xfce.org>
Date:   Sun Oct 8 12:47:13 2023 +0200

    I18n: Update translation sv (99%).
    
    487 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7924c969aedf4d299588dd4a7ea2cb898cd1a7d8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Oct 7 13:17:10 2023 +0200

    build: Simplify and clarify X11/Wayland distinction
    
    * Use XDT_CHECK_OPTIONAL_FEATURE
    * Only GTK Layer Shell remains as a truly optional package, and
      therefore HAVE_GTK_LAYER_SHELL as a compiler switch, in addition to
      ENABLE_X11 and ENABLE_WAYLAND.

commit 3ab0ca7cdd66d7fdfa666e998b50fed2d471eab1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Oct 7 13:14:05 2023 +0200

    build: Use AM_DISTCHECK_CONFIGURE_FLAGS
    
    So user can extend or override the flags provided there by defining the
    DISTCHECK_CONFIGURE_FLAGS variable.

commit c1a21190a85986d318bbfbd16c7a0de8e44ea0ec
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 5 00:47:15 2023 +0200

    I18n: Update translation he (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit dbd66440cd1d4e51308adcbbe8467a62459f6569
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 2 12:55:44 2023 +0200

    Add missing G_BEGIN_DECLS

commit 58d9c691e4d5f3ccfc9b5d7ee03326c391cb72b3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Sep 29 12:31:25 2023 +0200

    wayland: panel: Add missing sanity check
    
    Rare, but it can happen, for example if the terminal from which the
    panel is launched loses focus while
    panel_window_active_window_monitors_idle() is waiting.

commit 53551cfb7d9807523790d564ec639071594dbc7a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Sep 27 18:31:16 2023 +0200

    Back to development

commit a681b30d9d51387b0a6afba9f844b2ff1bd97afc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Sep 27 18:30:36 2023 +0200

    Updates for release

commit a8764ce950f54d1b895f07d82a242d0cace862e8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 15 00:47:16 2023 +0200

    I18n: Update translation sl (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2aa73e8f9de426acc19538f4db0d2320cdba899d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 15 00:47:16 2023 +0200

    I18n: Update translation eu (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1f8aaef72f6515e294ef647a4e24dcc062842945
Author: Anonymous <noreply@xfce.org>
Date:   Wed Sep 13 00:47:12 2023 +0200

    I18n: Update translation da (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6d3d60e33334a05919afcf0173ebaf1c073bffe4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 12 00:46:48 2023 +0200

    I18n: Update translation da (98%).
    
    479 translated messages, 9 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 390d152aae6fe3d5b1cad813e3a39ce9799dbf60
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Sep 9 12:07:39 2023 +0200

    pager: Do not adapt upper value of spin button in viewport mode
    
    This doesn't make sense. Libwnck handles this internally without any
    obvious way for us to get the number of rows, so it's best not to allow
    the user to change the number of rows in this case, as this will only
    lead to bad results.

commit 7ac81e942c4195b0b89df8fbe023c4d9d8d3290c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Sep 9 12:04:24 2023 +0200

    pager: Update workspace layout also on viewports change
    
    Completes: eeb9a578dadd5ea591bcb226bb35ff89b2bc6a2a

commit 57801bbdbe5ef624f9882eab6d54c17885ce81ff
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Sep 8 16:49:56 2023 +0200

    pager: Get scale factor from widget
    
    It's simpler and getting the scale factor from the GdkWindow does not
    work when the widget is not realized.

commit eeb9a578dadd5ea591bcb226bb35ff89b2bc6a2a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Sep 8 16:27:12 2023 +0200

    pager: Update workspace layout also on window manager change
    
    Closes: #789

commit b997c483b590c4b3b89b63dfa3fc596f0e3f0a40
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Sep 8 16:12:07 2023 +0200

    pager: Fix aspect ratio for viewport (V2)
    
    It seems that the number of workspaces contained in a viewport is the
    ratio of widths, at least when there is only one line. Not sure we
    really support other cases.
    
    Closes: #789
    Fixes: 8f310b868646036b6eb1694005b667f22229b0b1

commit 2c2ce90d52bbcea7381250101edfd16db19a3ae0
Author: Anonymous <noreply@xfce.org>
Date:   Sat Sep 2 12:46:52 2023 +0200

    I18n: Update translation id (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f493695eaa3327a4bd80beb79643a942c75ca1d8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Aug 30 19:52:20 2023 +0200

    actions: Fix memory leak

commit 5c59b49f4ef47677c9e721c3e4b33e9f1ca96547
Author: Anonymous <noreply@xfce.org>
Date:   Sat Aug 26 00:47:14 2023 +0200

    I18n: Update translation kk (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4b7aaa3760730b16d76f03b721f8c78daded1d5e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Aug 23 11:58:39 2023 +0200

    wayland: wrapper: Set widget name for theming

commit 2b74d70cf232991c82503c35f7504830def82114
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Aug 22 16:11:41 2023 +0200

    panel: Spawn wrapper process according to windowing environment
    
    DISPLAY should not be set on Wayland and this paves the way for the
    addition of an implementation using an embedded composer (libwlembed).

commit 69a8bdf1834740570d7bf8064dd8869d353c3642
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Aug 20 19:27:15 2023 +0200

    pager: Delay GdkScreen signal handlers
    
    This no longer seems necessary after the switch to libxfce4windowing for
    some reason, but it could become necessary again, and it's not a problem
    to give libwnck a little time to update the layout.
    
    Fixes: #784

commit 6781307c82b2b917d82ae53ef628db6b456e7ae5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Aug 19 23:12:31 2023 +0200

    x11: Remove useless sanity check
    
    Amends: 77c3494f7bba3c4a9ad371c0ddb9aa139e3bad90

commit 9a48ae8fa691380a03655e27e638a0e412677dbd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Aug 19 17:45:17 2023 +0200

    panel: Change panel border only if opposite border is set
    
    In particular, do not change borders if none are set, as is the case
    when the background is a solid color or an image. This caused a
    regression in the application of struts or autohide, as the panel could
    end up one pixel after the edge of the screen.
    
    Fixes: fc42275642ae5b55c745f04b95a3c03eee275251

commit 77c3494f7bba3c4a9ad371c0ddb9aa139e3bad90
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Aug 19 16:25:31 2023 +0200

    x11: Adjust background image of external plugins to that of the panel
    
    As mentioned in a comment in the code (wrapper-plug-x11.c), sending
    geometry via D-Bus is more reliable and ultimately simpler than using
    gtk_plug_get_socket_window(). For this reason, this change cannot be
    backported to branch 4.18.
    
    Fixes: #107

commit 96bf7b9002197d282be3f5b1ecfe1bf1689c9766
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Aug 19 12:10:28 2023 +0200

    panel: Do not scale background image when UI scale > 1

commit 1a6baf37fec6689426d8de5384c58fc977c5110b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Aug 14 15:20:14 2023 +0200

    wayland: Reset socket geometry when child is respawned
    
    Fixes critical warnings on plug side about monitor not being set.

commit 9434c01ad9c3c6b9a1effc4610079eb960030c91
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Aug 14 12:50:06 2023 +0200

    popup-command: Do not block autohide when popped up at pointer
    
    This seems better, since the menu is not linked to any panel widget in
    this case (besides, the plugin button is not pressed). Using a
    GtkInvisible instead of a panel widget is required after 8d576257, since
    the grab would give the panel input focus.

commit 4aaa1fd256e19f5fb9f8781e01df8624c449a77c
Author: Anonymous <noreply@xfce.org>
Date:   Wed Aug 9 00:46:55 2023 +0200

    I18n: Update translation lt (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 83afe30af9d8b08c2dfdd5bacdbc058e6634e118
Author: Anonymous <noreply@xfce.org>
Date:   Sat Aug 5 12:46:43 2023 +0200

    I18n: Update translation es (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e6a9395f8f83c13421c40e3977a29302736a06f4
Author: Anonymous <noreply@xfce.org>
Date:   Thu Aug 3 12:46:36 2023 +0200

    I18n: Update translation zh_CN (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0fb8fd58cb20d2ac2d0b78475b0aac9f25cda2d0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Aug 2 20:50:07 2023 +0200

    Fix memory leaks when using gtk_css_provider_new()

commit 94edd33506542da1bb9c29746b57e192e770608e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 31 00:46:48 2023 +0200

    I18n: Update translation pt_BR (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 20a26cae033b066e1e5e5e9d9199ec10d27be54f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 30 15:25:54 2023 +0200

    panel: Clear item list before repopulating item dialog

commit 5daf43a7ad7f14f5d2adac1ae2e4a9873f907645
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 29 00:46:55 2023 +0200

    I18n: Update translation et (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 28a847619ee6fe847c12bd72c2af69d304b865f0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 25 18:28:04 2023 +0200

    panel: Remove autosave timer for plugins
    
    It was introduced in 89cfd529 without rationale, and it's not clear that
    a save signal should be sent to plugins every ten minutes. On the
    contrary, it seems that this should only be done on rare occasions,
    typically on shutdown, which is retained. For the rest, it's up to each
    plugin to manage its backups as it sees fit.
    
    Fixes: #767

commit b2f74bf96315817c1b884d53b6b3c38abd21f23d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 25 12:47:15 2023 +0200

    I18n: Update translation sq (99%).
    
    487 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8e728b79491d227c39e9db21e9c7daedfa39ef82
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 23 12:46:53 2023 +0200

    I18n: Update translation pt (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 979de9049b5815dd09aa92c60386248260693afe
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 23 12:46:53 2023 +0200

    I18n: Update translation ca (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 54441052b96418d857336c1ad40fe5dbf92db16a
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 23 00:46:39 2023 +0200

    I18n: Update translation zh_CN (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 18bb69beac07b5d41acb4a9d9b41651cf3cdcb84
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jul 21 00:47:06 2023 +0200

    I18n: Update translation sr (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5c7261af685ac9a62e26794951179494bcae8183
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jul 21 00:47:06 2023 +0200

    I18n: Update translation nb (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ecfdf6bbe6162a6e8fa510cacdaa456374ac75a7
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 20 12:47:14 2023 +0200

    I18n: Update translation zh_TW (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9aaf5f32b0d46be056a42e04198e33b8dbab3927
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 19 12:46:53 2023 +0200

    I18n: Update translation ru (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c3efeddad6f624da7c9686f197a920931e8a5466
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 18 12:47:01 2023 +0200

    I18n: Update translation en_GB (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 960dda4f72d5b7a2a3b1960ebc514261fca615dc
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 18 00:46:54 2023 +0200

    I18n: Update translation uk (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 61a339a30e324c6fc3eae9e250415769e9083946
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 18 00:46:54 2023 +0200

    I18n: Update translation ja (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2238600b3250cb414e473e22dacaf05fadbc29cc
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 18 00:46:54 2023 +0200

    I18n: Update translation de (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fc05d71224f0d8e1ef3646b65084a911b2b30016
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 17 12:46:57 2023 +0200

    I18n: Update translation pl (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 25532e218c675de17c6578c09aac60db0d47556a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 17 12:46:57 2023 +0200

    I18n: Update translation nl (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e31ff468738caf48ca92f01eb10c980a2883728f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 17 12:46:57 2023 +0200

    I18n: Update translation it (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 64f4c0be7276a90c1e5142a3dfe43a3c14fcf4d9
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 17 12:46:57 2023 +0200

    I18n: Update translation fr (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 23a74123141f2ebbc7682a241eac47bd8452a166
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 17 12:46:57 2023 +0200

    I18n: Update translation bg (100%).
    
    488 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ff892ce9add19fdf0dfc564ab009f93a6338f4df
Author: Tony Paulic <tony.paulic@gmail.com>
Date:   Sun Jul 16 14:51:56 2023 +0000

    Add option to toggle week numbers (fixes #686)

commit 5fae648353b90faee94aad6c2da1da213dfad728
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 9 12:47:28 2023 +0200

    I18n: Update translation pt (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8c53176438b34d82a40625888a5ff50e3b32fc48
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 9 12:08:20 2023 +0200

    wrapper: Really ensure we don't call gtk_main_quit() twice
    
    The disconnection of name_owner_changed() must take place before the
    regular call to gtk_main_quit(), as the plugin may take longer than the
    panel to terminate.

commit 8d57625730c7a30752d60d43e4162a239f7eb485
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 8 17:58:16 2023 +0200

    panel: Block autohide when the panel has input focus
    
    The autohide algorithm implicitly assumes that the active window is a
    foreign window, but it may in fact be the panel itself (at least on
    X11). This is the case, for example, if the panel has input focus via a
    plugin's GtkEntry.
    
    In this case, the algorithm gives a hazardous result, and may in
    particular enter an infinite loop in certain circumstances.
    
    Blocking autohide if the panel has input focus allows to exit the
    algorithm as quickly as possible at its various entry points, thus
    resolving this problem. It also ensures that the panel is not hidden
    while the user is typically typing text into a GtkEntry.
    
    Finally, even if autohide is not used, this ensures that panel opacity
    is correctly updated, since panel enter/leave opacities follow the same
    logic as autohide.
    
    Fixes: #764

commit 60d7036d2698b1ee751b422a92f25066debde23d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 20 12:46:54 2023 +0200

    I18n: Update translation et (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a6c4e8a1175954ab389f55d33b68b172cff67cc3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 16 18:20:54 2023 +0200

    clock: Fix sync timeout for seconds display
    
    5cf7006e fixed the same problem for the minutes display, but there's a
    bit more work here, since nothing was done in addition to
    `g_timeout_add()` to synchronize the seconds display.
    
    A synchronization every 10 seconds with a precision of a tenth of a
    second seems reasonable: this gives a readjustment every 50 to 60
    seconds on my system, if the panel isn't too busy (since the plugin is
    internal). I took the opportunity to raise the timeout priorities, which
    should improve things a little in this case.
    
    Fixes: #756
    Completes: 5cf7006ee02cac06a693714ee9c30d3e7d326c17

commit b7c709a6eb62949038bb704dcb23997d2606dfe1
Author: Erkki Moorits <erkki.moorits@mail.ee>
Date:   Wed Jun 14 15:36:01 2023 +0000

    clock: Implement ConsoleKit sleep monitor
    
    Related: !88

commit 2a61ac2715016551b042b013739dc0146b214dc3
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 13 00:47:01 2023 +0200

    I18n: Update translation ca (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 50f75c074fe8ae42b264e0ff7f7f491021d1ee13
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 6 00:46:47 2023 +0200

    I18n: Update translation eu (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 163d8c6e153b71c458601164583a4f8ea5b73f49
Author: Darin <newhoa@protonmail.com>
Date:   Tue May 30 01:54:04 2023 -0400

    Add/Sharpen icons at 48-128px
    
    Grid-align and resize icons at 48px, 64px, 96px, 128px/scalable.
    Removed the SVGs from 128x128 folder, as the SVGs should only be in the scalable folder.

commit acf85f5ab329255ce901e69d23bbb0729a523007
Author: Darin <newhoa@protonmail.com>
Date:   Mon May 29 23:15:49 2023 -0400

    Adjust 32px icon margins, new separator icon

commit 714bd61514db33ea05376e873e79acbd53377dba
Author: Darin <newhoa@protonmail.com>
Date:   Mon May 22 20:38:22 2023 -0400

    Sharpen icons at 16px and 32px
    
    This grid-aligns all the icons at 16px and 32px
    giving them a sharper look.

commit 851f21e54789794943f84361c6937d18c1126606
Author: Darin <newhoa@protonmail.com>
Date:   Sun May 28 05:28:27 2023 -0400

    Increase margins for 24px icons

commit 5ec275e29b7a97bce9988b1f3bf9fcc44dbed9de
Author: Darin <newhoa@protonmail.com>
Date:   Mon May 22 17:00:28 2023 -0400

    Make 24px icons sharper
    
    Scale and grid-align pixels at 24px for sharper look
    in Panel Preferences > Items tab

commit ff7807a40a5da5f4cae4940a79eb07a94482cd0e
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 30 00:47:52 2023 +0200

    I18n: Update translation da (97%).
    
    475 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4620c26f0d6bb19bfe9c4a4e6b205c07085f1c89
Author: Anonymous <noreply@xfce.org>
Date:   Sun May 28 12:47:15 2023 +0200

    I18n: Update translation fr (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 879905999ce6b4507cbb70db7868f925396aa087
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 26 11:29:09 2023 +0200

    icons: Fix wrong exported sizes
    
    Some mistakes in !114.

commit 36d623a872191486110693dc059835cf1f279a13
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 21 12:54:58 2023 +0200

    icons: Scale at size 16x16 to 128x128 (Fixes #385)

commit 0357fde318c113b536f871da034a3edbf25b75b6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 21 17:38:59 2023 +0200

    icons: Fix centering of org.xfce.panel

commit ad59029bac9308bce0b908cd8c63c17baa76a458
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 21 17:22:12 2023 +0200

    icons: Rename org.xfce.panel.statustray to org.xfce.panel.systray

commit 6a02682fd55ad9fa4d4459730fcc2f6bb6229c07
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 20 00:46:42 2023 +0200

    I18n: Update translation tr (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit be1d8c4b9412fd8ec352c9b0c779995bca2d85bb
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 9 00:47:28 2023 +0200

    I18n: Update translation sl (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f2c5116ac22c2277d29d4480623f4a7f578ef1c4
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:45 2023 +0200

    I18n: Update translation zh_TW (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 496654e61848149c3cac4a451e3a78758d61c1a7
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:45 2023 +0200

    I18n: Update translation zh_CN (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6a23b6d829b7203a964d3c016835ee4ce00af56f
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:45 2023 +0200

    I18n: Update translation uk (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3f284d6f4ed71ff37cbcd894161f7c22e83fc03b
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:45 2023 +0200

    I18n: Update translation tr (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 589b59b6a627482a022580545edbd15abada1e95
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation sv (99%).
    
    486 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fba8982b16b960a88041aee23241ff8d554943ea
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation sr (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f6ebf071e65cb560ef7e956a120d2a720f87d2b1
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation sq (99%).
    
    486 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7fd1e77f0494f675fcca224311121b64f0457aff
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation ru (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9b8345e6f945dade113ef4e930f92b091405f87e
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation pt_BR (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4487efee1111bb0767853afa62506b2260582820
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation pt (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9936d18b2de5e9b5f9c8dc9da4cc852bf877ca74
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation pl (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 159e4e59b6cfc056abb26fcff8f578de14226588
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:44 2023 +0200

    I18n: Update translation oc (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 658060ef7901995de34c4fce3b825a31b6a7ddf5
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation nl (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 02972ecfe7cce388579d53c4d644bb041478cde9
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation nb (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d7a3cd57899f34593b8d3fbe24d5a03ba6b2d4c6
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation lt (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9ed5ed132fdb6fe991dacfa7fd78b9d68f413755
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation ko (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f88e4027959fcb4197dd432cdfb79a5b05c2b2df
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation ja (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 433e4de8d39c46e089a91d0278d76480916c993b
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation it (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 75b70621fd9458b5bdd69544d5fed8154ec759aa
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation id (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ab60f7c1c427f5920ebd97cb4ad77a80f5caa29d
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation hr (91%).
    
    448 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d72dca52b1ffe9791c6c3c2c2006613873478815
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:43 2023 +0200

    I18n: Update translation he (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cb24e5b5334a518349852d85216cf71f78195e7d
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:42 2023 +0200

    I18n: Update translation fr (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8db74a77d9c732ba5c994911f6885eb85268e52a
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:42 2023 +0200

    I18n: Update translation et (99%).
    
    486 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0ffc19aa8f5073a0e033eb19382b7f29736a772a
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:42 2023 +0200

    I18n: Update translation es (99%).
    
    485 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fb8f7a1c4a669c2595e13af08cbcf50945bddef6
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:42 2023 +0200

    I18n: Update translation en_GB (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 47697c321c235ff04024a6f86356a00fb27e14ce
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:42 2023 +0200

    I18n: Update translation el (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cac29121e8669ad4fd6edcd55fa9075a5290d22d
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:42 2023 +0200

    I18n: Update translation de (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a002c5a26e7ee240c6ae13dfbcfc1020284eed7b
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 11:17:42 2023 +0200

    I18n: Update translation bg (100%).
    
    487 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a32657d2e6085e8d96d417b74f100a73058eacbe
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 10:50:26 2023 +0200

    I18n: Update translation fr (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3394dab7723975e8e9e53c347908e2c8efb287c3
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 4 22:43:56 2023 +0200

    I18n: Update po/LINGUAS list

commit dfc16872f3d2bdb715d83dcf8ef22d869d834a4b
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 4 22:00:30 2023 +0200

    I18n: Update po/LINGUAS list

commit 578b4dc05a86ea7bd5049394b18a314ad1daac19
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 4 21:49:48 2023 +0200

    I18n: Update po/LINGUAS list

commit a3fab8eb4d3f508faa95aa10ecb5c2fedf4f81f5
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 3 12:47:33 2023 +0200

    I18n: Update translation ko (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 015520e293573559e8f67746e8faa0cb8a260125
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 30 00:46:07 2023 +0200

    I18n: Update translation ru (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6c3781e8805acd6e1f0f87de94101fb5ef503c6b
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Apr 25 14:23:20 2023 -0700

    Fix memory leaks around gtk_get_current_event()
    
    gtk_get_current_event() makes a copy of the event and returns the copy,
    which needs to be freed.
    
    For the cases where we create a dummy event, we need to ref the
    GdkWindow we set on it, as gdk_event_free() will unref it.

commit 7eb030d75f884dea5f2fe84697f0c1ad0ca16156
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Apr 25 19:51:52 2023 +0200

    Revert "cleanup: panel: Keep consistent type names in G_DEFINE_TYPE"
    
    This reverts commit f42ef537e6c2d00e7a2de24f9a9eb83c1aaf9dcc.
    To keep backwards compatibility for autohide related style properties.
    
    Related: #321

commit 058795cd507601d1a45d1523596aa514e694b31f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 25 01:04:24 2023 +0200

    I18n: Update translation ca (93%).
    
    466 translated messages, 34 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 466dcbe714e628b92539763ca6729d5aa0209dee
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 24 12:46:49 2023 +0200

    I18n: Update translation ca (92%).
    
    463 translated messages, 37 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 17891daeed8ad5fbe2692419f37099b205690572
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 19 00:59:14 2023 +0200

    I18n: Update translation it (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9d763e0fb4e657771df72715a3acd96996a31baf
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 18 00:46:23 2023 +0200

    I18n: Update translation it (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a5a289ede6c2175b97059ead5d63a59dbde04ea0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Apr 16 17:55:54 2023 +0200

    tasklist: Fix use-after-free on tasklist child
    
    This was running smoothly since 2010 but the update to GLib 2.76, which
    makes g_slice_free() a simple wrapper around g_free_sized(), revealed
    this bug.
    
    Fixes: #730

commit c219af064fe7fd5419ba64c968fac32d90caa197
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 16 00:46:17 2023 +0200

    I18n: Update translation nb (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b8d14a43519c1fff711daff314236c5fce564df4
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 15 00:48:53 2023 +0200

    I18n: Update translation ru (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4221cda169202e5e47bc0892879778c4be1a9035
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 9 12:46:59 2023 +0200

    I18n: Update translation tr (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0f3b3b8cbf2d656e6f270003978f5494786211ab
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 8 12:46:38 2023 +0200

    I18n: Update translation el (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5a9c81ad5dcb050b24b12a56896680e3845251f7
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 7 12:47:04 2023 +0200

    I18n: Update translation uk (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5387cd8bb0ecc40262e046540c608dff5c23effb
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 7 01:28:04 2023 +0200

    I18n: Update translation et (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7eea3cadc0140d6e252a9ed8e3fe3a30ca0d0e38
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Apr 6 18:22:59 2023 +0200

    build: Fix for Wayland backend disabled (Fixes #729)

commit 42b6575968932ae7178a0da2b90d11fd6be81ec3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 5 12:47:41 2023 +0200

    I18n: Update translation ru (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 19c683883ea6e7dbe923a57054dd2b55769919ce
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 2 00:46:28 2023 +0200

    I18n: Update translation oc (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 870aab1590136d62468c82addebd2e5eef405aab
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 1 12:47:17 2023 +0200

    I18n: Update translation ru (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1285c0a6034057857f80936bc32df0ec34645c29
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 31 20:50:11 2023 +0200

    systray: Update icon also on status change
    
    This appears as a kind of complement to e3504540. The special treatment
    of the NewStatus signal is not justified and partly duplicates what is
    done in get_all_properties_result().
    
    Fixes: #726

commit f6c216db28572cd1b18665cd86058d2707265d43
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 20:59:55 2023 +0200

    Back to development

commit 8309dd4e4754a4f8f185c74340fd42d474f5e9d1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 20:58:47 2023 +0200

    Updates for release

commit 34be0be0a1d7b3dc28e8a106370b00e6b2afd6c7
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 26 00:46:20 2023 +0100

    I18n: Update translation pt_BR (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b31d17c925ffdae871f88f55454c33e19ffff828
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 26 00:46:20 2023 +0100

    I18n: Update translation id (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1e49f61003f45c70af5638d0ef99bb3d64343e6d
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 26 00:46:20 2023 +0100

    I18n: Update translation he (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c49fd51ed93fda2c95ac7fb9091eccd62cab1bf6
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 21 00:46:08 2023 +0100

    I18n: Update translation hr (89%).
    
    449 translated messages, 51 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ac752a2c9ed0ed9c94339ab0cf9f5eece2d3ac8c
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 20 00:46:32 2023 +0100

    I18n: Update translation ja (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 92980e07980e820a1781975fbfc9c8ea763360a3
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 19 00:46:31 2023 +0100

    I18n: Update translation en_GB (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7fe0ae15bcf800b35fc4313a091f20fe593b7013
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 18 01:12:39 2023 +0100

    I18n: Update translation nb (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4dbf6bba88de8628a8aac35d3e04e317caf9396a
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 18 01:12:39 2023 +0100

    I18n: Update translation fr (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6f7831daccb72291c7c48dceff72794e44a130a9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 17 14:02:18 2023 +0100

    launcher: Show action menu also when there are several items
    
    Maybe it's a bit strange to see the actions of the first element when
    you click on the launcher arrow, but it's nice that they appear when you
    click on the element itself. So let's keep it simple and show them all
    the time.
    
    Fixes: #720
    Related: 7f3dd44de951a74dc1adb446e2b2f643043b1100

commit 9534e8a5a906e7bf4ce449e6a6f92a1d4aecf928
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 17 00:46:14 2023 +0100

    I18n: Update translation pt (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3ad4d6ab10acb108d97c84348f646f0bd8da3354
Author: Arthur Demchenkov <spinal.by@gmail.com>
Date:   Thu Mar 16 08:54:22 2023 +0300

    Fix memory management of vala generated plugins
    
    The wrong use of "(transfer full)" statements results in vala generated
    code that does g_object_unref() on widgets that were already destroyed
    by containers they were hold by.
    
    An example error message:
    (wrapper-2.0:123214): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
    
    The error was produced by xfce4-notes plugin while removing from the panel.
    
    If we look in libxfce4panel/xfce-panel-convenience.c we can find that
    xfce_panel_create_button() and xfce_panel_create_toggle_button() return
    objects created by gtk_button_new() and gtk_toggle_button_new().
    
    Both GtkButton and GtkToggleButton are ancestors of GInitiallyUnowned:
    https://docs.gtk.org/gtk3/class.ToggleButton.html
    https://docs.gtk.org/gtk3/class.Button.html
    
    This means that they are created with floating references. The floating
    references are converted to ordinary by g_object_ref_sink() when widget
    (button in our example) is added to a container.
    
    But in our case vala generates code that assumes that the buttons are
    hold with ordinary references. And this leads to possible segfaults if
    vala generated code will do g_object_unref() on the widgets that were
    already destroyed with containers they were hold by.
    
    Follow these docs for better understanding:
    1. https://docs.gtk.org/gobject/method.Object.ref_sink.html
    2. https://developer-old.gnome.org/gtk3/stable/gtk-question-index.html (Q#1.5)
    3. https://discourse.gnome.org/t/about-transfer-in-gobject-introspection/2500
    4. https://gi.readthedocs.io/en/latest/annotations/giannotations.html

commit eb45fc9183b1342632e0fa12c49e6f3c2814a51c
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 16 00:46:46 2023 +0100

    I18n: Update translation pt_BR (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8564f88e611d1db54a450f0b4d5ee90d235d8419
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 16 00:46:46 2023 +0100

    I18n: Update translation el (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f76deb613ea33254e4dc628ec907fe8bb339b1d8
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 15 00:46:30 2023 +0100

    I18n: Update translation zh_CN (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b88b1abd3c16cd0f9495a0b566747afb10ca247d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 15 00:46:30 2023 +0100

    I18n: Update translation sr (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit be5922f53c83bbb5c5b97ff3885bd90457c87999
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 15 00:46:30 2023 +0100

    I18n: Update translation lt (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7636a9f83e64f3b9114c11095994d9ad1bd1936e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 15 00:46:30 2023 +0100

    I18n: Update translation de (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 608482c43aea1f0b41b6581375b77615dbe9d8a7
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 15 00:46:29 2023 +0100

    I18n: Update translation bg (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 244d1a453b168ceba43380f2875f04c3e9983553
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:08 2023 +0100

    I18n: Update translation zh_TW (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ad51320ac9d10df6545662e22db426c64c58c0e9
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:08 2023 +0100

    I18n: Update translation zh_HK (83%).
    
    417 translated messages, 83 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 80ccf342afbc236aedf113372bf4e7f2c8492f58
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:08 2023 +0100

    I18n: Update translation zh_CN (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d39e4b3c4bc02012a82ee4bc8dda36741e0bd1f2
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:08 2023 +0100

    I18n: Update translation vi (62%).
    
    311 translated messages, 189 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7177a4d4b2b10785d5d02d13943f2a687a07d3e6
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:08 2023 +0100

    I18n: Update translation uk (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bdf42d64217a8b64567e4308503f3a8057a65f71
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:08 2023 +0100

    I18n: Update translation ug (76%).
    
    382 translated messages, 118 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e776de3b880cfa868a75bb3ac24e2276a20add6b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:08 2023 +0100

    I18n: Update translation tr (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0f0e4692092dfea08cce6003ac274cb2031ef2e0
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation th (92%).
    
    461 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f07bade705cba3a07cc92308a3789fe7ccedd9cc
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation sv (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 95a0fcd83061cf98203ace31ab26d23bd2637ed6
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation sr (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d6e289c30aedeec52d70199d3c9597a336e5a02b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation sq (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9a8b7aa04790ef1e1ce1a98ca1d4746bfee64f90
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation sl (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 51a7913f376c1694802cc7dfb9b76f85c8329183
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation sk (92%).
    
    461 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7b2924a5e7a857ec34dd484248e5e212d82d772d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation ru (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3f973408847ee3142f2333189a164723f3049193
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation ro (77%).
    
    388 translated messages, 112 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 171a9bb7636ce89d100bed3ad2c058ad8c2c576d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:07 2023 +0100

    I18n: Update translation pt_BR (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 97c937ef1a816cc750a562a48a4c6c0694ec972f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation pt (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b32b65f06c0f5d95b08ecb7c99038e710a8d3f24
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation pl (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 091e1ef9f4b20e6345a90a564244eb88ecc47b8e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation oc (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4c2bab9a22a152c5530136121427c0b4a7c354bb
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation nn (86%).
    
    430 translated messages, 70 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a9dbca1bc27362d608c645ff9dff3f126067d154
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation nl (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8858d4d990755b67b12203a594f5adff52950ba4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation nb (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 925a4e22ecda5fd9c3251e5c52aaf5ffee688b57
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation ms (92%).
    
    463 translated messages, 37 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d2c5264bbb8b7c021f8b4ac316105c8ba4c6640d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:06 2023 +0100

    I18n: Update translation lt (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5e90695ace807b50c3a1b5b924c02b36676242f6
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation ko (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 54ebbba4e69cf81bfc5a981df0b60fcc6999574b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation kk (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bc15594c79ca56d232d447a9b6011391b29bf0ed
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation ja (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9a23789a0453a559469270f13c2cacc8ae9a2bff
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation it (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d7dde6ca6008eaea693658d7b4bebe9d7ba478d1
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation is (81%).
    
    407 translated messages, 93 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bf4e43fcaa37bf3c05e6353027306212f6b41660
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation id (99%).
    
    497 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0ed1f23fd833b1e82e4cec2db09a921af23a40af
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation hye (83%).
    
    416 translated messages, 84 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 193c4287cf8f49a8faab40e76a4557749f3c12e4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation hy_AM (86%).
    
    433 translated messages, 67 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f4fb42eb802161512753657859302a3e2ccaa5f0
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:05 2023 +0100

    I18n: Update translation hu (90%).
    
    451 translated messages, 49 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f6c7dec25d27a427e0149666262064655b5b4eb1
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation hr (89%).
    
    446 translated messages, 54 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 06ee87ab955cc02affb9c384ec985d6c74e1a79c
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation he (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5a8ee84149425607c32a36077e2a97023f1e5417
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation gl (92%).
    
    461 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6d2acb97d998f38fad323487b1329e3524b327b3
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation fr (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9417e13df13349ad35073aa0db60f5d22e6100f3
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation fi (87%).
    
    439 translated messages, 61 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 716929e36e87fd5e0978f49e616309fd4b1381d9
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation eu (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0305686cc23e7b3852140188caccb0766b6e37e9
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation et (96%).
    
    484 translated messages, 16 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d6c2a19824bfa728ec49f4a873ab4bceff74e353
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:04 2023 +0100

    I18n: Update translation es (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1b627dde00cbafffbd205316846419861c77aba7
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:03 2023 +0100

    I18n: Update translation en_GB (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c198767de4a6f27e0d5ad4fc2f74612826520b47
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:03 2023 +0100

    I18n: Update translation en_AU (81%).
    
    407 translated messages, 93 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6e803d8e9bbd6e051a3dd03ad68f2e407726a293
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:03 2023 +0100

    I18n: Update translation el (97%).
    
    485 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d3023ec97ea396057db2313ab7ebdf69cb153b90
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:03 2023 +0100

    I18n: Update translation de (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ee69cbe8e7512aed6ddfb28dcfee32ff0e2d0e61
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:03 2023 +0100

    I18n: Update translation da (92%).
    
    462 translated messages, 38 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 73fa6108ea4bf16bc92e20b929e872a4604505a4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:03 2023 +0100

    I18n: Update translation cs (92%).
    
    462 translated messages, 38 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e4692520d6f0f67089036d6bd257cb57b46bae72
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:03 2023 +0100

    I18n: Update translation ca (92%).
    
    461 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f9e554ec685c9aa3f23b82881fb1ff3fe9519abd
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:02 2023 +0100

    I18n: Update translation bg (99%).
    
    498 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 308139972a7fc274578949b7912c9b0b4500406f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:02 2023 +0100

    I18n: Update translation be (92%).
    
    461 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ed1f7b3f69baa0ec9d97a65733585517a071014a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:02 2023 +0100

    I18n: Update translation ast (75%).
    
    378 translated messages, 122 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 217a66b31c1bb66ea0a3ea0b7efe72a099e085b0
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 14 12:47:02 2023 +0100

    I18n: Update translation ar (82%).
    
    413 translated messages, 87 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 29600d5a1b35d83241db26a2401e5cad66e75cee
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 7 21:14:47 2023 +0100

    panel: Rephrase "Don't reserve space on borders" (V2)
    
    First reworded as "Keep panel above windows" in 6f64ea01 but it
    obviously doesn't meet with consensus, so new rewording as "Reserve
    space on screen edges for the panel", more in line with the initial
    request and more technically correct.
    
    This time it requires a setting migration for backwards compatibility
    though, since the toggle is reversed.
    
    Closes: #217

commit b5532b5aa91452caa76956b299eb7535247d8039
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 7 21:07:04 2023 +0100

    panel: Make property migration generic
    
    In preparation for changing PanelWindow:disable-struts to
    PanelWindow:enable-struts in next commit.

commit 85e9facda51e6187d5b6336ebd6e2c53dac53080
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:53 2023 +0100

    I18n: Update translation zh_TW (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e1fba8e96c57c5072386a070b9dc376495e26b78
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:53 2023 +0100

    I18n: Update translation zh_HK (83%).
    
    418 translated messages, 82 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 332b523142dbc7fb34b774f70fded57dafb96ffb
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:53 2023 +0100

    I18n: Update translation zh_CN (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 125a9f08d8841683b6f57f0e85470b23fecf9815
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation vi (62%).
    
    312 translated messages, 188 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a91f26977e5d2b49da8a0d077a0ffe59af950653
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation uk (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8ad1d024cfc963342924da173a47e70e488f3ac0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation ug (76%).
    
    383 translated messages, 117 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 331afc4919b7a1a66ee022250456767c1e76dd7f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation tr (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 71fd192e3c72cace0735f36af26fd656ce6e923d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation th (92%).
    
    462 translated messages, 38 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f40f07c41e56dd19b0239b7e96627be1a1ca8888
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation sv (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 29cf430fe3a32db773836edf3acddfe57a45ec47
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation sr (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a0981612323ec4b177ca2dd0572a5ddb0f488592
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:52 2023 +0100

    I18n: Update translation sq (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4b6701d926068564e03ad105277bb38a90686aa8
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation sl (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 06b19d5455f2db45c53aa1a1ceea1a0f6f2cca0e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation sk (92%).
    
    462 translated messages, 38 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6b8efb4ce349c18606ed928b416ce9f1e1d192d8
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation si (56%).
    
    280 translated messages, 220 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e4d70bfd9b6916c0ed458d2544d4280b1a02d90b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation ru (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d675b3526cdd2a10409e8f7ff2a2bb3c49558b59
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation ro (77%).
    
    389 translated messages, 111 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 98ca44182ab03ac14e5b7507d40605ee2230fb7b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation pt_BR (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b04cc5b9a06d14a6708c9a462c2652dbd45e29c5
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation pt (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8797adafea4eaeb61a5d905132fef3e1a344804b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:51 2023 +0100

    I18n: Update translation pl (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7749f94d44baa85ca8b0e9e031543035842bebef
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation pa (56%).
    
    280 translated messages, 220 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2df7ad1d0babcae0da32fd20bc4efd69842f5a65
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation oc (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8b446f0ef421174fca2bb7103682f627af9978a4
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation nn (86%).
    
    431 translated messages, 69 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c0aa4a013dcc96a9404031f6cdb98eea7a2fce3d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation nl (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2d2c83cc3bc1109ad8981ff02f8bc131d7ffb0cd
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation nb (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 85d6c2be880641a253676812613dead9467ba40b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation ms (92%).
    
    464 translated messages, 36 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5246807513b7114731c2c3ff547dc4ab9f9f627a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation lt (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 28c47e48d022990e4c24b2c38285723029926027
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation ko (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 715f3b2a5954fc4f7cb0c5c9efed233f8963424a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:50 2023 +0100

    I18n: Update translation kk (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 186681eb876af6239d8932db4767114348a44ddf
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:49 2023 +0100

    I18n: Update translation ka (61%).
    
    308 translated messages, 192 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e40eab8b16436b88e49a4ac34a27c07c3f9c1d4f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:49 2023 +0100

    I18n: Update translation ja (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5db1f6464367afc9a09fbc02b9bb14fb72055761
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:49 2023 +0100

    I18n: Update translation it (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit dc25c6c7094ec281420f456e142bd58f4c41cd54
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:49 2023 +0100

    I18n: Update translation is (81%).
    
    408 translated messages, 92 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f18c7168ce8c8a7223bdf88e256f761472ff669e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:49 2023 +0100

    I18n: Update translation ie (89%).
    
    446 translated messages, 54 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a01709f990413e620745232ce516d9db590af2a6
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:49 2023 +0100

    I18n: Update translation id (99%).
    
    499 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 07ae25a68b5fbd01ca0b07a0ad439c690e44fd01
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:49 2023 +0100

    I18n: Update translation hye (83%).
    
    417 translated messages, 83 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 598ffa40a40fcc6f1ff5d5d9dc90fd7223c879c4
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation hy_AM (86%).
    
    434 translated messages, 66 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7f1703afc2c4a5d606ca4e7c7bb01f6a8f7f82d2
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation hu (90%).
    
    453 translated messages, 47 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e5b3e57a4ae7ac87fec997ea6945f56ed3f60806
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation hr (89%).
    
    448 translated messages, 52 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9d65bad1345013aa8255f3f1a26ecbfa4982f1a2
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation he (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 312b05d612b46e98390d49cec59ab1715e401052
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation gl (92%).
    
    462 translated messages, 38 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1f4114ca0d144a89fa7a8c3187f552cfb4739553
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation fr (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f75f94ea77eb66e4a07bffdf8b71023b30ab9cbe
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation fi (88%).
    
    440 translated messages, 60 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a1acfd8bfb55dd2d3ca4102044759ffb9c849f87
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation eu (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a2756bf6eb424fe9160fb5c0e0f7f56b7421b801
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:48 2023 +0100

    I18n: Update translation et (97%).
    
    486 translated messages, 14 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit edec82b17bd10c28f63d644f9374176ff4f0343e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation es (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6b9734576ae5f15d903c956a5b49b784f5518741
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation en_GB (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6bb4b5a0ad4bd7df8d2cbb0a64d550b18f7205fd
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation en_AU (81%).
    
    408 translated messages, 92 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 40376f8a85f790f86437fb18be05b6aba80faa87
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation el (97%).
    
    487 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f5f99c00d717dd5997bf33ed0638cedb872650e1
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation de (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a426a4bc30f36ded3b81823aab3ae02d5a9c907a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation da (92%).
    
    463 translated messages, 37 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 121e0456e51b1e3d4f2758a1903a0040c7e1fa5f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation cs (92%).
    
    463 translated messages, 37 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e8998c841702c051d5f2e983df752221633668b9
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:47 2023 +0100

    I18n: Update translation ca (92%).
    
    462 translated messages, 38 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e0480f00c4618b1670da0b2d10cd00f3055ebc31
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:46 2023 +0100

    I18n: Update translation bn (59%).
    
    297 translated messages, 203 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8268d9ff16cc6e473ad7e8d76cbaea65b56ecaea
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:46 2023 +0100

    I18n: Update translation bg (100%).
    
    500 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0d26d7be6768c84a3ed44dd2eb0faefa3d4c1694
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:46 2023 +0100

    I18n: Update translation be (92%).
    
    462 translated messages, 38 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9dd4c4d785fce84a6255f89bfb24cc28f94e9e17
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:46 2023 +0100

    I18n: Update translation ast (75%).
    
    379 translated messages, 121 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1afc9d2be8203e5689b8d163331cbf501da840fc
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:46 2023 +0100

    I18n: Update translation ar (82%).
    
    414 translated messages, 86 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7c1cf93c8cbac608d8d18adec868c02661fb2b80
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 13 12:47:46 2023 +0100

    I18n: Update translation am (61%).
    
    307 translated messages, 193 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4b1fb5e3882e2ce6007d5bbf3fbd1940301b0e54
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 12 14:23:06 2023 +0100

    Remove POTFILES.skip
    
    Apparently no longer necessary after switching to gettext.
    
    Related: !110

commit bf0df2d48876a1ab2087e4d33647e3bb81046fe5
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Mar 12 13:01:28 2023 +0100

    Put glade files back in POTFILES.in
    
    Misinterpretation of the doc: only suffix specifications like
    `[type: gettext/glade]` should be removed from POTFILES.in, not glade
    files themselves.
    
    Fixes: 73fe4378ce7a7aeee1b638006ac28458803d6df7
    Related: !110

commit 50b5d2b0dfde91997eb44c86da7c8dd6a73109d1
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 12 00:46:25 2023 +0100

    I18n: Update translation es (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0df87d2c22e2a92bb8d8134329d798ad1029a60d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 19:54:55 2023 +0100

    autogen.sh: Properly quote arguments

commit 8f10eb6e0d3343618f6556036e5c56a270746f3b
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 11 12:46:52 2023 +0100

    I18n: Update translation uk (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 69d6174aa1776eed4d370c1d1e52db5f032c85eb
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 11 00:49:19 2023 +0100

    I18n: Update translation fr (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 994e8dd56dc62a6672f5b65960a1a76d724e1408
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 10 15:57:22 2023 +0100

    panel: Properly set ExternalPlugin orientation
    
    Fixes: 96a082037dc613df50ed89b74d8eed96ca5d744e
    Closes: #719
    Related: !103

commit 132a65056b46753ca200497f51140f860b3bf131
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 10 00:51:45 2023 +0100

    I18n: Update translation sr (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d55a4aeb7bdae7c6528d65da1221bede62befde3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 12:46:44 2023 +0100

    I18n: Update translation zh_TW (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f44db7328e0ef009e61283d0b79a596c3888bcbf
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 12:46:44 2023 +0100

    I18n: Update translation zh_CN (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7f2d73fb5ec25687964e3d23c32b5d0f64cb24ec
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 12:46:44 2023 +0100

    I18n: Update translation ru (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2ce46b9530b7aa8d64c41ec9c5cec532c6afbb63
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 12:46:44 2023 +0100

    I18n: Update translation id (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b89fea7fff282c0a099d69615995274d86291ef3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 12:46:44 2023 +0100

    I18n: Update translation en_GB (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 684ba24c725fd9da7e0ea7e74139e6903e52f531
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation zh_TW (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b1a6dd921020f48fe9fddaebc7da3b22b5295780
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation zh_HK (91%).
    
    255 translated messages, 25 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6c8ba1779cc6a6fcebce376eddec2f64f22c693f
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation zh_CN (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1d289757a58324e38cc1faff2f1899fd71852dc3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation vi (68%).
    
    193 translated messages, 87 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2627b211a9142039e76fce48a94db60f3dcb41cb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation uk (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0f2271dfa95922afc6fe85f3046a648191180084
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation ug (84%).
    
    237 translated messages, 43 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0ec458ccc159d627b3e3b0f1676985a47aba37cb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation tr (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a987d58b895d41549fa0ed2894cf58908b6bdc40
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation th (93%).
    
    263 translated messages, 17 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5260993b5426f52e2797a7de95e05ac6a7825c46
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:41 2023 +0100

    I18n: Update translation sv (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d9c35c75b65a2cfd2f3df644419909123f8e0a19
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation sr (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a381964305ccafa9a7fa436ccc44c0d4852395f1
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation sq (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fb4cf41cec971c3ffc2d16471dad7b171672421b
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation sl (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5fe4c0be215538fb43bdb1209e31e9e710ccce3f
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation sk (93%).
    
    263 translated messages, 17 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 597f3e8cf1676e3c3a594637cd9186645b962b7f
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation si (64%).
    
    180 translated messages, 100 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 519851646732cc9b168fecc136feecd9162517c6
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation ru (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e115f3aa0473ce524c207aa1465aead2e2c3a05b
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation ro (86%).
    
    241 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1925539bdbdd8d3c4c0c99d482c2cd5a4f8f540e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation pt_BR (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2115a07e8f8c9a342d9f7a2e82c36c3b7291dd12
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:40 2023 +0100

    I18n: Update translation pt (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d91d7674e9334d6dfafb7227595453de96dd5758
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation pl (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b26819850cec204a91f90b8f6d7b51ae9194bb45
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation pa (67%).
    
    190 translated messages, 90 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f76c4826849b8fb9cbba96b8c2bb3b5d8836ac4f
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation oc (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 162d894ff385c104a41abbe59e9a02202fff30a8
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation nn (90%).
    
    253 translated messages, 27 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e2064665aec16e0de2df51ba6b5dc547bf6fc4cd
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation nl (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bcd00975dd1ca63a6a39acaaded54b12332ecfca
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation nb (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2c505867c84433b70644b0d1adf464fe0e6398ef
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation ms (94%).
    
    264 translated messages, 16 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8283b4cbb276c4b72c37dd7e684c311c285e1ee7
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation lt (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a23284af9e203181b35372320b3618c92e8eaf3e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:39 2023 +0100

    I18n: Update translation ko (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0525b6aef53ec93ec43c06f13d5d578f847a31a9
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation kk (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f32e5d105ea10ed81eb69e052918654d338e5074
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation ka (63%).
    
    177 translated messages, 103 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f622e6a2f494aea775fb2deb565dcdeee4ad4174
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation ja (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c7199efaf9e7a9b916d60481b1bdd4bee6afb98a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation it (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9e2e72e53bcdc4dc2f00c107a37b05bf45acd28e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation is (89%).
    
    251 translated messages, 29 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a5086e30e9db6bc932b1773b7af2e4eef5e290c3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation ie (92%).
    
    259 translated messages, 21 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 55fc9fbd372fdb10e8a4a3e685978eea9aba85b5
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation id (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3424f2126630296a59aad80e0f722049c4889ba3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:38 2023 +0100

    I18n: Update translation hye (89%).
    
    250 translated messages, 30 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1c5082c809d7faca508931ce8dcc851780f44e5d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:37 2023 +0100

    I18n: Update translation hy_AM (92%).
    
    259 translated messages, 21 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 727ddf7d43dff0d1ab8e35f5e2e1d8bdb54d73d1
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:37 2023 +0100

    I18n: Update translation hu (93%).
    
    261 translated messages, 19 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d2a284021e237988575f7fe4af03f71bbe097751
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:37 2023 +0100

    I18n: Update translation hr (92%).
    
    259 translated messages, 21 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 87fd54d459f40ff9993bc9cb5e6b3121902a65cf
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:37 2023 +0100

    I18n: Update translation he (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 177c850de9e2b74d62664ef4021e65ec7515e558
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:36 2023 +0100

    I18n: Update translation gl (93%).
    
    263 translated messages, 17 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit af97d3ee229172059a52e253e58516635c64f539
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:36 2023 +0100

    I18n: Update translation fr (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 082d73cc4b67fa9c800e79c2a51134e8d36a1f32
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:36 2023 +0100

    I18n: Update translation fi (92%).
    
    258 translated messages, 22 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 77a623aca65c99b08714a662561ef6fe9206e19b
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:36 2023 +0100

    I18n: Update translation eu (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d9a1c730b81d2b196b9ecabea77a7b94ce9f6b62
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:36 2023 +0100

    I18n: Update translation et (95%).
    
    266 translated messages, 14 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e777191c39114a7fa26f3675c8a7a37b7fd6decb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:36 2023 +0100

    I18n: Update translation es (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1dcaad880b00345718b180062859397e8605337e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:36 2023 +0100

    I18n: Update translation en_GB (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 78cd043ae4ebe139330cd0fc9cfda5d35cbab306
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation en_AU (89%).
    
    251 translated messages, 29 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 63955721e66479df773ba61fe8769b07aa31813d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation el (95%).
    
    267 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit badf6899ff2c1d610c66503c960b48b0af481ec0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation de (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f6d0f6c85cf8c48e23941598d0c1d30833981a04
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation da (94%).
    
    264 translated messages, 16 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d31127c52b653aa5c4211061591148ebe9e6890e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation cs (94%).
    
    264 translated messages, 16 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 620067139e5a65d4dc1fb2a0e1b11edafaf4a762
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation ca (93%).
    
    263 translated messages, 17 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 32cef09899492db397d6d657bd813520e3dc71db
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation bn (68%).
    
    193 translated messages, 87 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 05c4b9d02c307f0cedbc4ebb77ed7779a18ca28d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:35 2023 +0100

    I18n: Update translation bg (100%).
    
    280 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 06a6da8f6773e5f01bb0cbeb38628746a91f4ac9
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:34 2023 +0100

    I18n: Update translation be (93%).
    
    263 translated messages, 17 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 912a27ec09e7dee23b9040c221d9429075d25811
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:34 2023 +0100

    I18n: Update translation ast (85%).
    
    238 translated messages, 42 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b99ff824c6fc90dcc7e5d79dec456478165561cb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:34 2023 +0100

    I18n: Update translation ar (89%).
    
    251 translated messages, 29 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 68368d5074940e1c2b517e395af504b478d896ce
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 8 00:46:34 2023 +0100

    I18n: Update translation am (71%).
    
    200 translated messages, 80 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit de65de699176eada483f15185f9c7cfb36e5ce59
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:15 2023 +0100

    I18n: Update translation zh_TW (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 206c8e256365bcb9afd35e1a6df7a7ce2a4a4eb4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation zh_HK (95%).
    
    234 translated messages, 10 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a063b9fd4d89dc76136e131f30fcb172b5f110b6
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation zh_CN (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e92b71642eed94f748c47ceb6d17c9fc06b69a30
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation vi (71%).
    
    175 translated messages, 69 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 26af613d37a87faf4ae51549273d773e2d6a4e4a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation uk (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1a730d3fdeefe7eb153f05bae1777e4344a04408
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation ug (88%).
    
    217 translated messages, 27 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5344224df9269202a28856033b0ead014e51d835
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation tr (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 86b0c27b1e4e678e64fd2b595414615c3e465e8a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation th (98%).
    
    240 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 95dfca124ad779740fd84289c4c7d2997219ec8e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation sv (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5e4b1c879d2d87b8a5bd3961fe2fe4793539aa47
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:14 2023 +0100

    I18n: Update translation sr (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b33ac238cdaecc129575a4d035070b8a8f0b9996
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation sq (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c1fb71c4c053720ab3eb0416cb9dfaabc9ef13df
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation sl (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bb089d72e9247061a502cc823d45b5da695f574a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation sk (98%).
    
    240 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1928255baef5d117badc56acdc41ffaec2433a10
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation si (66%).
    
    163 translated messages, 81 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 12db3cc6d7405c133ebfeb31e8acb67057b284bf
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation ru (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5e9c4c40c1e2e7396cfbe096645bbde32530237c
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation ro (90%).
    
    221 translated messages, 23 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1eb86623d1646ff943f750848488cc16be072e5c
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation pt_BR (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 62745b2ba9c9bcb2cec695ed3616e8d47a9c51d5
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation pt (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7bca0a13267976ce69ba438783afc045481f6e71
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation pl (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cb86435ccf046c76e7ae5665961085caa6f24b9e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:13 2023 +0100

    I18n: Update translation pa (70%).
    
    173 translated messages, 71 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5a3c0543df19c52a76638c653fce69a42850c6c4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation oc (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1db9dd3326efa72a3b6e61829e38c36515ae821a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation nn (95%).
    
    233 translated messages, 11 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2e25c14363a9d7914d4b002991273868d736b4b2
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation nl (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9da05b052a3a9b4b56f458ba45552e56b42e40dd
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation nb (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit deab29d2e04115693f8fa977c85c252b903c4c4b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation ms (98%).
    
    241 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e8004497cfd04f6461d2588aa136e0d5350aa64a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation lt (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 84d8b17c3a82415694abedaf6478626b64eccac2
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation ko (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1713a4bfc78c525355325a4eebe93c6991b625dd
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation kk (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0384a5fa8fdee90faa130bfc1ec9cd1a84595c8f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation ka (65%).
    
    161 translated messages, 83 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f2affe029174e55cdf8e640f5e1cf840d8f4e2ea
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:12 2023 +0100

    I18n: Update translation ja (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6c3e9a5012db20de9c974ca2d2a56bc2f430c98f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation it (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 147afe32b876662860ea08759b2ecc723ced367d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation is (94%).
    
    231 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cc6e5f05b32e35c2b978ef8049ee3c3d179dabb5
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation ie (97%).
    
    238 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit db3588037c2881dfd658a940c6d986278b25f668
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation id (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0962b5d977087da071934469e51ec17aa7db3846
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation hye (94%).
    
    230 translated messages, 14 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 46d2969bf865fe6650a95e1a6c2584f28c79b066
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation hy_AM (97%).
    
    238 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f9eb845c41f5bc27223b56cb76de2701bad99a0d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation hu (98%).
    
    241 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 02ec25ddb507cf8903e51b5f8c565384aea717b3
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation hr (97%).
    
    239 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 38303742400cd98b2399e0aa8fdfe1cff671824f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation he (100%).
    
    244 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6a8142081aeab4eedfb6b5ae3b7cb49cbb90e81e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 7 12:47:11 2023 +0100

    I18n: Update translation gl (98%).
    
    240 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

